Bug 1506339 - [drm:intel_cpu_fifo_underrun_irq_handler [i915]] *ERROR* CPU pipe B FIFO underrun
Summary: [drm:intel_cpu_fifo_underrun_irq_handler [i915]] *ERROR* CPU pipe B FIFO unde...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel
Version: 31
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Adam Jackson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-10-25 18:38 UTC by Micah Abbott
Modified: 2020-07-04 16:20 UTC (History)
46 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-05-26 14:28:32 UTC
Type: Bug


Attachments (Terms of Use)
log with drm.debug=0x1e kernel parameter (233.59 KB, text/plain)
2018-11-16 14:04 UTC, sebastien.nobert
no flags Details
log with drm.debug=0x1e kernel parameter (52.10 KB, text/plain)
2019-02-10 10:45 UTC, ewald
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1383562 unspecified CLOSED [drm:intel_cpu_fifo_underrun_irq_handler [i915]] *ERROR* CPU pipe B FIFO underrun 2020-10-14 00:28:05 UTC

Internal Links: 1383562

Description Micah Abbott 2017-10-25 18:38:20 UTC
Description of problem:

Found the following error messages in the journal after my Lenovo T470s laptop appeared to reset after locking screen

Oct 25 14:12:30 dhcp-41-117.bos.redhat.com kernel: [drm:intel_cpu_fifo_underrun_irq_handler [i915]] *ERROR* CPU pipe B FIFO underrun                                                                               
Oct 25 14:12:30 dhcp-41-117.bos.redhat.com kernel: [drm:pipe_config_err [i915]] *ERROR* mismatch in pixel_rate (expected 148500, found 296999)                                                                     
Oct 25 14:12:30 dhcp-41-117.bos.redhat.com kernel: [drm:pipe_config_err [i915]] *ERROR* mismatch in shared_dpll (expected ffff8bca4111c5b0, found ffff8bca4111c518)                                                
Oct 25 14:12:30 dhcp-41-117.bos.redhat.com kernel: [drm:pipe_config_err [i915]] *ERROR* mismatch in dpll_hw_state.ctrl1 (expected 0x00000003, found 0x00000001)                                                    
Oct 25 14:12:30 dhcp-41-117.bos.redhat.com kernel: [drm:pipe_config_err [i915]] *ERROR* mismatch in base.adjusted_mode.crtc_clock (expected 148500, found 296999)                                                  
Oct 25 14:12:30 dhcp-41-117.bos.redhat.com kernel: [drm:pipe_config_err [i915]] *ERROR* mismatch in port_clock (expected 270000, found 540000)                             


Version-Release number of selected component (if applicable):

$ rpm -q kernel xorg-x11-drv-intel                                                                                                                                                           
kernel-4.13.5-200.fc26.x86_64                       
xorg-x11-drv-intel-2.99.917-28.20160929.fc26.x86_64 


How reproducible:
Unknown; only observed once


Steps to Reproduce:
Unknown;  locked my screen and came back to a laptop that had reset


Actual results:

Observed the error messages noted above in the journal and the laptop had reset


Expected results:

Screen locked successfully and no reset observed


Additional info:
I am running Fedora 26 Atomic Workstation -  https://pagure.io/workstation-ostree-config

Comment 1 Alexander Kops 2017-11-03 12:17:50 UTC
I reported a similar issue in the Ubuntu bugtracker:
https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1727662

Comment 2 Lorenzo Dalrio 2017-11-10 08:14:34 UTC
I am hitting this one too on a Lenovo t450. It seems to happen when i have the external monitor connected, when the error appears in the journal the external monitor starts flickering and shows some big portions of the applications that were there.

For me it started with kernel 4.13.10, it happens also on 4.13.11, now i am running 4.13.9 to see if it happens too.

The only workaround is a reboot.

Comment 3 Sam Roza 2018-01-03 17:52:08 UTC
I am also running into this on F27. Unlocked the laptop, (W541), and my second monitor was still asleep. I opened ARandR to see if I could wake it, and then my workstation completely froze. 

~~~
Jan 03 09:34:11 ypestis2 kernel: [drm:intel_set_cpu_fifo_underrun_reporting [i915]] *ERROR* uncleared fifo underrun on pipe B
Jan 03 09:34:11 ypestis2 kernel: [drm:intel_cpu_fifo_underrun_irq_handler [i915]] *ERROR* CPU pipe B FIFO underrun
Jan 03 09:34:11 ypestis2 kernel: [drm:pipe_config_err [i915]] *ERROR* mismatch in pixel_rate (expected 148500, found 296999)
Jan 03 09:34:11 ypestis2 kernel: [drm:pipe_config_err [i915]] *ERROR* mismatch in shared_dpll (expected ffff992611e7c6d0, found ffff992611e7c768)
Jan 03 09:34:11 ypestis2 kernel: [drm:pipe_config_err [i915]] *ERROR* mismatch in base.adjusted_mode.crtc_clock (expected 148500, found 296999)
Jan 03 09:34:11 ypestis2 kernel: [drm:pipe_config_err [i915]] *ERROR* mismatch in port_clock (expected 270000, found 540000)
Jan 03 09:34:11 ypestis2 dbus-daemon[1179]: [system] Activating via systemd: service name='net.reactivated.Fprint' unit='fprintd.service' requested by ':1.60' (uid=0 pid=2543 comm="/usr/bin/gnome-shell " label="
Jan 03 09:34:11 ypestis2 systemd[1]: Starting Fingerprint Authentication Daemon...
Jan 03 09:34:11 ypestis2 dbus-daemon[1179]: [system] Successfully activated service 'net.reactivated.Fprint'
Jan 03 09:34:11 ypestis2 audit[1]: SERVICE_START pid=1 uid=0 auid=4294967295 ses=4294967295 subj=system_u:system_r:init_t:s0 msg='unit=fprintd comm="systemd" exe="/usr/lib/systemd/systemd" hostname=? addr=? term
Jan 03 09:34:11 ypestis2 kernel: [drm:pipe_config_err [i915]] *ERROR* mismatch in base.adjusted_mode.crtc_clock (expected 148500, found 296999)
Jan 03 09:34:11 ypestis2 kernel: [drm:pipe_config_err [i915]] *ERROR* mismatch in port_clock (expected 270000, found 540000)
Jan 03 09:34:11 ypestis2 dbus-daemon[1179]: [system] Activating via systemd: service name='net.reactivated.Fprint' unit='fprintd.service' requested by ':1.60' (uid=0 pid=2543 comm="/usr/bin/gnome-shell " label="
Jan 03 09:34:11 ypestis2 systemd[1]: Starting Fingerprint Authentication Daemon...
Jan 03 09:34:11 ypestis2 dbus-daemon[1179]: [system] Successfully activated service 'net.reactivated.Fprint'
Jan 03 09:34:11 ypestis2 audit[1]: SERVICE_START pid=1 uid=0 auid=4294967295 ses=4294967295 subj=system_u:system_r:init_t:s0 msg='unit=fprintd comm="systemd" exe="/usr/lib/systemd/systemd" hostname=? addr=? term
Jan 03 09:34:11 ypestis2 systemd[1]: Started Fingerprint Authentication Daemon.
Jan 03 09:34:11 ypestis2 /usr/libexec/gdm-x-session[2324]: (II) modeset(0): EDID vendor "ACR", prod id 821
Jan 03 09:34:11 ypestis2 /usr/libexec/gdm-x-session[2324]: (II) modeset(0): Using hsync ranges from config file
Jan 03 09:34:11 ypestis2 /usr/libexec/gdm-x-session[2324]: (II) modeset(0): Using vrefresh ranges from config file
Jan 03 09:34:11 ypestis2 /usr/libexec/gdm-x-session[2324]: (II) modeset(0): Printing DDC gathered Modelines:
Jan 03 09:34:11 ypestis2 /usr/libexec/gdm-x-session[2324]: (II) modeset(0): Modeline "1920x1080"x0.0  148.50  1920 2008 2052 2200  1080 1084 1089 1125 +hsync +vsync (67.5 kHz eP)
Jan 03 09:34:11 ypestis2 /usr/libexec/gdm-x-session[2324]: (II) modeset(0): Modeline "800x600"x0.0   40.00  800 840 968 1056  600 601 605 628 +hsync +vsync (37.9 kHz e)
Jan 03 09:34:11 ypestis2 /usr/libexec/gdm-x-session[2324]: (II) modeset(0): Modeline "800x600"x0.0   36.00  800 824 896 1024  600 601 603 625 +hsync +vsync (35.2 kHz e)
Jan 03 09:34:11 ypestis2 /usr/libexec/gdm-x-session[2324]: (II) modeset(0): Modeline "640x480"x0.0   31.50  640 656 720 840  480 481 484 500 -hsync -vsync (37.5 kHz e)
Jan 03 09:34:11 ypestis2 /usr/libexec/gdm-x-session[2324]: (II) modeset(0): Modeline "640x480"x0.0   31.50  640 664 704 832  480 489 492 520 -hsync -vsync (37.9 kHz e)
Jan 03 09:34:11 ypestis2 /usr/libexec/gdm-x-session[2324]: (II) modeset(0): Modeline "640x480"x0.0   30.24  640 704 768 864  480 483 486 525 -hsync -vsync (35.0 kHz e)
Jan 03 09:34:11 ypestis2 /usr/libexec/gdm-x-session[2324]: (II) modeset(0): Modeline "640x480"x0.0   25.18  640 656 752 800  480 490 492 525 -hsync -vsync (31.5 kHz e)
Jan 03 09:34:11 ypestis2 /usr/libexec/gdm-x-session[2324]: (II) modeset(0): Modeline "720x400"x0.0   28.32  720 738 846 900  400 412 414 449 -hsync +vsync (31.5 kHz e)
Jan 03 09:34:11 ypestis2 /usr/libexec/gdm-x-session[2324]: (II) modeset(0): Modeline "1280x1024"x0.0  135.00  1280 1296 1440 1688  1024 1025 1028 1066 +hsync +vsync (80.0 kHz e)
Jan 03 09:34:11 ypestis2 /usr/libexec/gdm-x-session[2324]: (II) modeset(0): Modeline "1024x768"x0.0   78.75  1024 1040 1136 1312  768 769 772 800 +hsync +vsync (60.0 kHz e)
Jan 03 09:34:11 ypestis2 /usr/libexec/gdm-x-session[2324]: (II) modeset(0): Modeline "1024x768"x0.0   75.00  1024 1048 1184 1328  768 771 777 806 -hsync -vsync (56.5 kHz e)
Jan 03 09:34:11 ypestis2 /usr/libexec/gdm-x-session[2324]: (II) modeset(0): Modeline "1024x768"x0.0   65.00  1024 1048 1184 1344  768 771 777 806 -hsync -vsync (48.4 kHz e)
Jan 03 09:34:11 ypestis2 /usr/libexec/gdm-x-session[2324]: (II) modeset(0): Modeline "832x624"x0.0   57.28  832 864 928 1152  624 625 628 667 -hsync -vsync (49.7 kHz e)
Jan 03 09:34:11 ypestis2 /usr/libexec/gdm-x-session[2324]: (II) modeset(0): Modeline "800x600"x0.0   49.50  800 816 896 1056  600 601 604 625 +hsync +vsync (46.9 kHz e)
Jan 03 09:34:11 ypestis2 /usr/libexec/gdm-x-session[2324]: (II) modeset(0): Modeline "800x600"x0.0   50.00  800 856 976 1040  600 637 643 666 +hsync +vsync (48.1 kHz e)
Jan 03 09:34:11 ypestis2 /usr/libexec/gdm-x-session[2324]: (II) modeset(0): Modeline "1152x864"x0.0  108.00  1152 1216 1344 1600  864 865 868 900 +hsync +vsync (67.5 kHz e)
Jan 03 09:34:11 ypestis2 /usr/libexec/gdm-x-session[2324]: (II) modeset(0): Modeline "1280x960"x0.0  108.00  1280 1376 1488 1800  960 961 964 1000 +hsync +vsync (60.0 kHz e)
Jan 03 09:34:11 ypestis2 /usr/libexec/gdm-x-session[2324]: (II) modeset(0): Modeline "1280x1024"x0.0  108.00  1280 1328 1440 1688  1024 1025 1028 1066 +hsync +vsync (64.0 kHz e)
Jan 03 09:34:11 ypestis2 /usr/libexec/gdm-x-session[2324]: (II) modeset(0): Modeline "1280x720"x60.0   74.48  1280 1336 1472 1664  720 721 724 746 -hsync +vsync (44.8 kHz e)
Jan 03 09:34:11 ypestis2 /usr/libexec/gdm-x-session[2324]: (II) modeset(0): Modeline "1280x800"x0.0   83.50  1280 1352 1480 1680  800 803 809 831 -hsync +vsync (49.7 kHz e)
Jan 03 09:34:11 ypestis2 /usr/libexec/gdm-x-session[2324]: (II) modeset(0): Modeline "1440x900"x0.0  106.50  1440 1520 1672 1904  900 903 909 934 -hsync +vsync (55.9 kHz e)
Jan 03 09:34:11 ypestis2 /usr/libexec/gdm-x-session[2324]: (II) modeset(0): Modeline "1680x1050"x0.0  146.25  1680 1784 1960 2240  1050 1053 1059 1089 -hsync +vsync (65.3 kHz e)
Jan 03 09:34:11 ypestis2 /usr/libexec/gdm-x-session[2324]: (II) modeset(0): Modeline "1920x1080"x60.0  172.80  1920 2040 2248 2576  1080 1081 1084 1118 -hsync +vsync (67.1 kHz e)
Jan 03 09:34:12 ypestis2 gdm-password][19980]: gkr-pam: unlocked login keyring
~~~

# uname -a
Linux ypestis2 4.14.8-300.fc27.x86_64 #1 SMP Wed Dec 20 19:00:18 UTC 2017 x86_64 x86_64 x86_64 GNU/Linux

Comment 4 Angelo Lisco 2018-01-23 09:45:14 UTC
Hi, same weird issue here with a T450s. It happens both with an external monitor and without it. I've also upgraded the bios to the latest available but the issue hasn't disappeared. I must make up my mind about the stability of an Intel based laptop with Linux. I thought that this kind of issue only appeared with Nvidia or Ati hardware... :(

Comment 5 Lorenzo Dalrio 2018-01-29 14:22:48 UTC
There is a bug opened at freedesktop's bugzilla that seems related:

https://bugs.freedesktop.org/show_bug.cgi?id=101868

Comment 6 Laura Abbott 2018-03-12 23:19:12 UTC

*** This bug has been marked as a duplicate of bug 1549042 ***

Comment 7 Ingo Boernig 2018-04-06 13:10:15 UTC
Hi,

I do not think this is the same issue as bug 1549042.

I still see this behavior on my Lenovo T470s:

Apr 06 13:58:50 t470.boernig.loc kernel: [drm:intel_cpu_fifo_underrun_irq_handler [i915]] *ERROR* CPU pipe B FIFO underrun
Apr 06 13:58:50 t470.boernig.loc kernel: [drm:pipe_config_err [i915]] *ERROR* mismatch in pixel_rate (expected 148500, found 296999)
Apr 06 13:58:50 t470.boernig.loc kernel: [drm:pipe_config_err [i915]] *ERROR* mismatch in shared_dpll (expected 00000000b0086288, found 00000000e298a176)
Apr 06 13:58:50 t470.boernig.loc kernel: [drm:pipe_config_err [i915]] *ERROR* mismatch in dpll_hw_state.ctrl1 (expected 0x00000003, found 0x00000001)
Apr 06 13:58:50 t470.boernig.loc kernel: [drm:pipe_config_err [i915]] *ERROR* mismatch in base.adjusted_mode.crtc_clock (expected 148500, found 296999)
Apr 06 13:58:50 t470.boernig.loc kernel: [drm:pipe_config_err [i915]] *ERROR* mismatch in port_clock (expected 270000, found 540000)
Apr 06 13:58:50 t470.boernig.loc kernel: [drm:intel_ddi_prepare_link_retrain [i915]] *ERROR* Timeout waiting for DDI BUF C idle bit

after this I see the following message:
Apr 06 13:58:50 t470.boernig.loc kernel: vblank wait timed out on crtc 1
Apr 06 13:58:50 t470.boernig.loc kernel: WARNING: CPU: 3 PID: 21445 at drivers/gpu/drm/drm_vblank.c:1073 drm_wait_one_vblank+0x16e/0x180 [drm]
Apr 06 13:58:50 t470.boernig.loc kernel: Modules linked in: thunderbolt nvmem_core rfcomm fuse ccm ipt_MASQUERADE nf_nat_masquerade_ipv4 xt_CHECKSUM tun nf_conn
Apr 06 13:58:50 t470.boernig.loc kernel:  wmi_bmof intel_wmi_thunderbolt snd_soc_core snd_hda_codec_hdmi iwlmvm snd_compress irqbypass intel_cstate snd_hda_code
Apr 06 13:58:50 t470.boernig.loc kernel:  serio_raw nvme_core ptp pps_core video
Apr 06 13:58:50 t470.boernig.loc kernel: CPU: 3 PID: 21445 Comm: kworker/3:3 Not tainted 4.15.14-300.fc27.x86_64 #1

Then the system freezes.

System is Fedora 27:
[root@t470 c9fd6af84a284faf8794cadf784e7aff]# uname -a
Linux t470.boernig.loc 4.15.14-300.fc27.x86_64 #1 SMP Thu Mar 29 16:13:44 UTC 2018 x86_64 x86_64 x86_64 GNU/Linux

Comment 8 Sandeep MJ 2018-04-16 02:01:29 UTC
Hello,

I face the same issues, laptop is powered off every morning.

Apr 12 23:00:00 hostname systemd[1]: Started system activity accounting tool.
Apr 12 23:01:36 hostname kernel: [drm:intel_cpu_fifo_underrun_irq_handler [i915]] *ERROR* CPU pipe A FIFO underrun
Apr 12 23:04:05 hostname dnsmasq-dhcp[1861]: DHCPREQUEST(virbr0) 192.168.122.177 52:xx:xx:xx:xx:xx
Apr 12 23:04:05 hostname dnsmasq-dhcp[1861]: DHCPACK(virbr0) 192.168.122.177 52:xx:xx:xx:xx:xx rhel62
Apr 12 23:10:01 hostname systemd[1]: Starting system activity accounting tool...
Apr 12 23:10:01 hostname audit[1]: SERVICE_START pid=1 uid=0 auid=4294967295 ses=4294967295 subj=system_u:system_r:init_t:s0 msg='unit=sysstat-collect comm="systemd" exe="/usr/lib/systemd/systemd" hostname=? addr=? terminal=? res=success'
Apr 12 23:10:01 hostname audit[1]: SERVICE_STOP pid=1 uid=0 auid=4294967295 ses=4294967295 subj=system_u:system_r:init_t:s0 msg='unit=sysstat-collect comm="systemd" exe="/usr/lib/systemd/systemd" hostname=? addr=? terminal=? res=success'
Apr 12 23:10:01 hostname systemd[1]: Started system activity accounting tool.
Apr 12 23:15:58 hostname kernel: [drm:intel_cpu_fifo_underrun_irq_handler [i915]] *ERROR* CPU pipe A FIFO underrun
Apr 12 23:20:01 hostname systemd[1]: Starting system activity accounting tool...
Apr 12 23:20:01 hostname systemd[1]: Started system activity accounting tool.
Apr 12 23:20:01 hostname audit[1]: SERVICE_START pid=1 uid=0 auid=4294967295 ses=4294967295 subj=system_u:system_r:init_t:s0 msg='unit=sysstat-collect comm="systemd" exe="/usr/lib/systemd/systemd" hostname=? addr=? terminal=? res=success'
Apr 12 23:20:01 hostname audit[1]: SERVICE_STOP pid=1 uid=0 auid=4294967295 ses=4294967295 subj=system_u:system_r:init_t:s0 msg='unit=sysstat-collect comm="systemd" exe="/usr/lib/systemd/systemd" hostname=? addr=? terminal=? res=success'
Apr 12 23:22:13 hostname kernel: [drm:intel_cpu_fifo_underrun_irq_handler [i915]] *ERROR* CPU pipe A FIFO underrun
Apr 12 23:25:47 hostname cupsd[1355]: REQUEST localhost - - "POST / HTTP/1.1" 200 182 Renew-Subscription successful-ok
Apr 12 23:29:33 hostname dnsmasq-dhcp[1861]: DHCPREQUEST(virbr0) 192.168.122.177 52:xx:xx:xx:xx:xx
Apr 12 23:29:33 hostname dnsmasq-dhcp[1861]: DHCPACK(virbr0) 192.168.122.177 52:xx:xx:xx:xx:xx rhel62

^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@
^@^@^@^@^@^@^@^@^@
..
..
..
(this goes on for half a screen)

Apr 16 08:33:30 hostname kernel: Linux version 4.15.15-300.fc27.x86_64 (mockbuild@bkernel01.phx2.fedoraproject.org) (gcc version 7.3.1 20180303 (Red Hat 7.3.1-5) (GCC)) #1 SMP Mon Apr 2 23:14:02 UTC 2018


Mainly at work, when docked and connected to external monitors. Haven't seen a reboot at home (not docked).

====
ThinkPad T450s

# cat /etc/redhat-release 
Fedora release 27 (Twenty Seven)

# uname -a
Linux hostname 4.15.15-300.fc27.x86_64 #1 SMP Mon Apr 2 23:14:02 UTC 2018 x86_64 x86_64 x86_64 GNU/Linux
=====

Comment 9 Pierre Wakim 2018-04-18 04:35:56 UTC
Same error is occurring with me using notebook Lenovo T460s with Fedora 27, kernel 4.15.16-300.fc27.x86_64. Docking screen becomes flickering and crazy.

I had to forcibly restart the notebook.

Kindly advise,
Pierre

Comment 10 William Brown 2018-04-26 07:40:00 UTC
Reopening. This issue is not the same as the duplicate linked. Still affects kernels 4.15.16-300.fc27.x86_64  and higher. This happens to my laptop about once a day at the moment, making it unusable.

Apr 26 17:28:35 felix.prd.blackhats.net.au kernel: [drm:pipe_config_err [i915]] *ERROR* mismatch in pixel_rate (expected 148500, found 296999)
Apr 26 17:28:35 felix.prd.blackhats.net.au kernel: [drm:pipe_config_err [i915]] *ERROR* mismatch in shared_dpll (expected 000000008d761dd4, found 00000000fa15453e)
Apr 26 17:28:35 felix.prd.blackhats.net.au kernel: [drm:pipe_config_err [i915]] *ERROR* mismatch in dpll_hw_state.ctrl1 (expected 0x00000003, found 0x00000001)
Apr 26 17:28:35 felix.prd.blackhats.net.au kernel: [drm:pipe_config_err [i915]] *ERROR* mismatch in base.adjusted_mode.crtc_clock (expected 148500, found 296999)
Apr 26 17:28:35 felix.prd.blackhats.net.au kernel: [drm:pipe_config_err [i915]] *ERROR* mismatch in port_clock (expected 270000, found 540000)

Comment 11 Fedora End Of Life 2018-05-03 08:23:02 UTC
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 12 Oliver Ilian 2018-05-08 19:31:46 UTC
I see this issue on RHEL 7.5 as well. Should I open a new bug for 7.5 as this ticket might get closed soon due to F26 EOL

Comment 13 William Brown 2018-05-08 23:16:46 UTC
Update affected version and setting severity due to impact on machines (complete system crash, very common once per-day).

Comment 14 Oskar Cabor 2018-05-14 09:17:40 UTC
I have the very same problem as described by Lorenzo Dalrio. 

user@pc:~/Downloads$ uname -v
#1 SMP Debian 4.9.65-3+deb9u1 (2017-12-23)
user@pc:~/Downloads$ uname -r
4.9.0-4-amd64

I reboot one or two times per day to get my second monitor to work normally again. When the error occurs I tried to switch to another tty and "sudo service gdm3 restart" but that did not help at all and makes my PC crash.

Comment 15 Oskar Cabor 2018-05-18 13:06:55 UTC
I was able to solve this Problem once and for all by installing backports of the kernel and then restarting. My machine is running for 3 days without restart and both external monitors are working fine all the time, no more flickering ever.

user@pc:~/Downloads$ uname -v
#1 SMP Debian 4.9.88-1+deb9u1 (2018-05-07)
user@pc:~/Downloads$ uname -r
4.9.0-6-amd64

Comment 16 Sandeep MJ 2018-05-22 23:01:11 UTC
Still hanging on me, now on Fedora 28:

====
May 23 07:46:50 hostname kernel: [drm:pipe_config_err [i915]] *ERROR* mismatch in pixel_rate (expected 119000, found 237999)
May 23 07:46:50 hostname kernel: [drm:pipe_config_err [i915]] *ERROR* mismatch in shared_dpll (expected 00000000f6463906, found 0000000033d41673)
May 23 07:46:50 hostname kernel: [drm:pipe_config_err [i915]] *ERROR* mismatch in base.adjusted_mode.crtc_clock (expected 119000, found 237999)
May 23 07:46:50 hostname kernel: [drm:pipe_config_err [i915]] *ERROR* mismatch in port_clock (expected 270000, found 540000)

# cat /etc/redhat-release 
Fedora release 28 (Twenty Eight)
# uname -a
Linux hal 4.16.9-300.fc28.x86_64 #1 SMP Thu May 17 06:39:18 UTC 2018 x86_64 x86_64 x86_64 GNU/Linux
====

Comment 17 Tomasz Stepniak 2018-07-04 10:08:03 UTC
Same on new kernel:

Linux x230 4.17.3-200.fc28.x86_64 #1 SMP Tue Jun 26 14:17:07 UTC 2018 x86_64 x86_64 x86_64 GNU/Linux

-----
Jul 04 11:48:32 x230 kernel: [drm:intel_cpu_fifo_underrun_irq_handler [i915]] *ERROR* CPU pipe B FIFO underrun
Jul 04 11:48:32 x230 kernel: [drm:pipe_config_err [i915]] *ERROR* mismatch in pixel_rate (expected 148500, found 296999)
Jul 04 11:48:32 x230 kernel: [drm:pipe_config_err [i915]] *ERROR* mismatch in shared_dpll (expected 000000007c256664, found 00000000e6e1679d)
Jul 04 11:48:32 x230 kernel: [drm:pipe_config_err [i915]] *ERROR* mismatch in base.adjusted_mode.crtc_clock (expected 148500, found 296999)
Jul 04 11:48:32 x230 kernel: [drm:pipe_config_err [i915]] *ERROR* mismatch in port_clock (expected 270000, found 540000)

Comment 18 Aleksandar Kostadinov 2018-07-17 17:30:34 UTC
on 4.17.5-200 T460p I'm seeing screen shaking from time to time and this is in the log:

> Jul 17 18:52:33 koTak kernel: [drm:intel_cpu_fifo_underrun_irq_handler [i915]] *ERROR* CPU pipe B FIFO underrun

Not sure message is related though as I just got a shake and no such line in the log. Last line showed by journal/dmesg is:

> Jul 17 20:23:23 koTak kernel: perf: interrupt took too long (5138 > 5115), lowering kernel.perf_event_max_sample_rate to 38000

One details is that I'm using nvidia proprietary driver as I had stability issues without it on Fedora 27. Have not tested switching back to nouveau or disabling the nvidia hardware.

Comment 19 Aleksandar Kostadinov 2018-07-17 17:51:08 UTC
I just got a big number of these shakes. There are no immediate messages in journal. I can't spot anything interesting in .xsession-error either.

I noticed though that the shakes are actually rapid switching between what I see on the screen normally and mirrored view or something (I saw things on the left show up to the right of the screen.

So it might be something Xorg related. I don't think it is related to nvidia because I have this in config (I read it will disable nvidia GPU for graphics display):

Section "ServerLayout"
    Identifier "layout"
    Screen 0 "intel"
    Inactive "nvidia"
EndSection
 
Section "Device"
    Identifier "nvidia"
    Driver "nvidia"
    BusID "PCI:2:0:0"
EndSection
 
Section "Screen"
    Identifier "nvidia"
    Device "nvidia"
    Option "AllowEmptyInitialConfiguration"
EndSection
 
Section "Device"
    Identifier "intel"
    Driver "modesetting"
EndSection
 
Section "Screen"
    Identifier "intel"
    Device "intel"
EndSection

Comment 20 Ingvar Hagelund 2018-10-22 22:20:06 UTC
Unsure if this is the same bug, but I also get this "flickering", on my laptop screen, and messages like this in the kernel log:

intel_cpu_fifo_underrun_irq_handler [i915]] *ERROR* CPU pipe A FIFO underrun

My setup: HP EliteBook Folio G1, Intel HD Graphics 515, fedora 28/x86_64. Flickering is visible on laptop screen when running at 1920x1080.

I have tested kernels backwards, and found that kernel-4.16.12-200 works fine, while kernel-4.16.13-300 and onwards through 4.18.14-200 produces the flickering.

An interesting point is that while 4.16.13 trigs the bug, and 4.16.12 does not, they both have the same intel driver, that is i915 1.6.0 20171222.

Lowering the resolution to for example 1600x900, the bug is not trigged.

Ingvar

Comment 21 Jim McEvoy 2018-11-12 17:16:00 UTC
The following article point to changing the AccelMethod in xorg.conf... 
https://bbs.archlinux.org/viewtopic.php?id=198157

I have had this fifo underun issue on my Lenova T450 laptop on Fedora 25,26,27 and 28 when attaching a 1920x1200 monitor through hdmi or displayport when waking from sleep.

I have changed the AccelMethod from sna to uxa as suggested and will monitor the issue.

Will monitor the change and update this bug with results.

Comment 22 Basil Wallace 2018-11-15 23:33:25 UTC
This error shows up in my logs a whole bunch. It's only halted my machine (T480s) once or twice.

Only other messages being logged are related to wifi

This is a fairly new install, the first time this error was logged, the message before that reads:
kernel: [drm] Reducing the compressed framebuffer size. This may lead to less power savings than a non-reduced-size. Try to increase stolen memory size if available in BIOS.

Unsure if related

Comment 23 sebastien.nobert 2018-11-16 14:04:28 UTC
Created attachment 1506436 [details]
log with drm.debug=0x1e kernel parameter

ERROR occur at line 423 in the log.

kernel : 4.18.17-200.fc28.x86_64 x86_64

Manufacturer: LENOVO
Product Name: 20BX001LUS
Version: ThinkPad T450s

2 screen plug in docking station and 1 in laptop

Comment 24 Oliver Ilian 2019-01-16 08:59:19 UTC
I am also seeing this on RHEL 7.6 + a few other messages. System was frozen on Gnome 3 and needed a har dreboot to come back

ThinkPad T460p
3.10.0-957.1.3.el7.x86_64

********

Jan 16 08:31:38 hostname kernel: [drm:intel_cpu_fifo_underrun_irq_handler [i915]] *ERROR* CPU pipe B FIFO underrun
Jan 16 08:31:28 hostname kernel: [drm:intel_cpu_fifo_underrun_irq_handler [i915]] *ERROR* CPU pipe A FIFO underrun
Jan 16 08:30:01 hostname kernel: [drm:intel_cpu_fifo_underrun_irq_handler [i915]] *ERROR* CPU pipe B FIFO underrun
Jan 16 08:29:56 hostname kernel: [drm:intel_cpu_fifo_underrun_irq_handler [i915]] *ERROR* CPU pipe A FIFO underrun
Jan 16 08:28:37 hostname kernel: [drm:intel_cpu_fifo_underrun_irq_handler [i915]] *ERROR* CPU pipe B FIFO underrun
Jan 16 08:28:29 hostname kernel: [drm:intel_cpu_fifo_underrun_irq_handler [i915]] *ERROR* CPU pipe A FIFO underrun
Jan 16 08:28:20 hostname kernel: [drm:intel_cpu_fifo_underrun_irq_handler [i915]] *ERROR* CPU pipe C FIFO underrun
Jan 16 08:28:20 hostname kernel: [drm:intel_cpu_fifo_underrun_irq_handler [i915]] *ERROR* CPU pipe B FIFO underrun
Jan 16 08:28:09 hostname kernel: [drm:intel_cpu_fifo_underrun_irq_handler [i915]] *ERROR* CPU pipe A FIFO underrun
Jan 16 08:28:08 hostname kernel: i915 0000:00:02.0: BAR 6: [??? 0x00000000 flags 0x2] has bogus alignment
Jan 16 08:28:08 hostname systemd-logind[5997]: Lid opened.
Jan 16 08:28:02 hostname kernel: [drm:intel_cpu_fifo_underrun_irq_handler [i915]] *ERROR* CPU pipe A FIFO underrun
Jan 16 08:27:46 hostname kernel: [drm:intel_cpu_fifo_underrun_irq_handler [i915]] *ERROR* CPU pipe B FIFO underrun
Jan 16 08:27:46 hostname kernel: [drm:intel_cpu_fifo_underrun_irq_handler [i915]] *ERROR* CPU pipe A FIFO underrun
Jan 16 08:26:32 hostname kernel: ---[ end trace be63aab00a0fedfa ]---
Jan 16 08:26:32 hostname kernel:  [<ffffffffb3574ddb>] system_call_fastpath+0x22/0x27
Jan 16 08:26:32 hostname kernel:  [<ffffffffb3056721>] SyS_ioctl+0xa1/0xc0
Jan 16 08:26:32 hostname kernel:  [<ffffffffb356778f>] ? __schedule+0x3ff/0x890
Jan 16 08:26:32 hostname kernel:  [<ffffffffb3056480>] do_vfs_ioctl+0x3a0/0x5a0
Jan 16 08:26:32 hostname kernel:  [<ffffffffb2e3643f>] ? __switch_to_xtra+0x1bf/0x340
Jan 16 08:26:32 hostname kernel:  [<ffffffffc02abe20>] ? drm_mode_connector_set_obj_prop+0x90/0x90 [drm]
Jan 16 08:26:32 hostname kernel:  [<ffffffffc0294647>] drm_ioctl+0x1e7/0x420 [drm]
Jan 16 08:26:32 hostname kernel:  [<ffffffffc0293f2c>] drm_ioctl_kernel+0x6c/0xb0 [drm]
Jan 16 08:26:32 hostname kernel:  [<ffffffffc02abe5f>] drm_mode_connector_property_set_ioctl+0x3f/0x60 [drm]
Jan 16 08:26:32 hostname kernel:  [<ffffffffc02abe20>] ? drm_mode_connector_set_obj_prop+0x90/0x90 [drm]
Jan 16 08:26:32 hostname kernel:  [<ffffffffc02ad5af>] drm_mode_obj_set_property_ioctl+0x1df/0x2a0 [drm]
Jan 16 08:26:32 hostname kernel:  [<ffffffffc02a774d>] drm_atomic_connector_commit_dpms+0xfd/0x120 [drm]
Jan 16 08:26:32 hostname kernel:  [<ffffffffc02a5f7a>] drm_atomic_commit+0x4a/0x50 [drm]
Jan 16 08:26:32 hostname kernel:  [<ffffffffc052f18e>] intel_atomic_commit+0x26e/0x370 [i915]
Jan 16 08:26:32 hostname kernel:  [<ffffffffc052ed65>] intel_atomic_commit_tail+0xcd5/0xe90 [i915]
Jan 16 08:26:32 hostname kernel:  [<ffffffffb2e976cf>] warn_slowpath_fmt+0x5f/0x80
Jan 16 08:26:32 hostname kernel:  [<ffffffffb2e97648>] __warn+0xd8/0x100
Jan 16 08:26:32 hostname kernel:  [<ffffffffb3561e41>] dump_stack+0x19/0x1b
Jan 16 08:26:32 hostname kernel: Call Trace:
Jan 16 08:26:32 hostname kernel: Hardware name: LENOVO 20FXS0BB11/20FXS0BB11, BIOS R07ET84W (2.24 ) 06/05/2018
Jan 16 08:26:32 hostname kernel: CPU: 5 PID: 11886 Comm: X Kdump: loaded Tainted: G           OE  ------------   3.10.0-957.1.3.el7.x86_64 #1
Jan 16 08:26:32 hostname kernel:  dm_log dm_mod
Jan 16 08:26:32 hostname kernel:  coretemp intel_rapl kvm_intel uvcvideo videobuf2_vmalloc videobuf2_memops iwlwifi kvm videobuf2_core videodev joydev btusb btrtl btbcm btintel snd_hda_intel bluetooth snd_hda_codec irqbypass snd
Jan 16 08:26:32 hostname kernel: Modules linked in: vhost_net vhost macvtap macvlan veth xfs snd_usb_audio snd_usbmidi_lib snd_rawmidi macsec binfmt_misc tcp_diag udp_diag inet_diag unix_diag af_packet_diag netlink_diag tcp_lp r
Jan 16 08:26:32 hostname kernel: pipe state doesn't match!
Jan 16 08:26:32 hostname kernel: WARNING: CPU: 5 PID: 11886 at drivers/gpu/drm/i915/intel_display.c:11614 intel_atomic_commit_tail+0xcd5/0xe90 [i915]
Jan 16 08:26:32 hostname kernel: ------------[ cut here ]------------
Jan 16 08:26:32 hostname kernel: [drm:pipe_config_err [i915]] *ERROR* mismatch in port_clock (expected 270000, found 540000)
Jan 16 08:26:32 hostname kernel: [drm:pipe_config_err [i915]] *ERROR* mismatch in base.adjusted_mode.crtc_clock (expected 148500, found 296999)
Jan 16 08:26:32 hostname kernel: [drm:pipe_config_err [i915]] *ERROR* mismatch in dpll_hw_state.ctrl1 (expected 0x00000003, found 0x00000001)
Jan 16 08:26:32 hostname kernel: [drm:pipe_config_err [i915]] *ERROR* mismatch in shared_dpll (expected ffff8e0cf51c6650, found ffff8e0cf51c65b8)
Jan 16 08:26:32 hostname kernel: [drm:pipe_config_err [i915]] *ERROR* mismatch in pixel_rate (expected 148500, found 296999)
Jan 16 08:26:32 hostname kernel: [drm:intel_cpu_fifo_underrun_irq_handler [i915]] *ERROR* CPU pipe A FIFO underrun

Comment 25 Jakub Jelen 2019-01-28 11:52:15 UTC
Same with last Fedora 29:

Jan 28 12:44:54 t470s.jjelen.redhat.com kernel: [drm:intel_cpu_fifo_underrun_irq_handler [i915]] *ERROR* CPU pipe B FIFO underrun
Jan 28 12:44:54 t470s.jjelen.redhat.com kernel: [drm:pipe_config_err [i915]] *ERROR* mismatch in pixel_rate (expected 148500, found 296999)
Jan 28 12:44:54 t470s.jjelen.redhat.com kernel: [drm:pipe_config_err [i915]] *ERROR* mismatch in shared_dpll (expected 00000000d78f5198, found 000000005ff30d88)
Jan 28 12:44:54 t470s.jjelen.redhat.com kernel: [drm:pipe_config_err [i915]] *ERROR* mismatch in dpll_hw_state.ctrl1 (expected 0x00000003, found 0x00000001)
Jan 28 12:44:54 t470s.jjelen.redhat.com kernel: [drm:pipe_config_err [i915]] *ERROR* mismatch in base.adjusted_mode.crtc_clock (expected 148500, found 296999)
Jan 28 12:44:54 t470s.jjelen.redhat.com kernel: [drm:pipe_config_err [i915]] *ERROR* mismatch in port_clock (expected 270000, found 540000)
Jan 28 12:45:09 t470s.jjelen.redhat.com kernel: [drm:intel_ddi_prepare_link_retrain [i915]] *ERROR* Timeout waiting for DDI BUF C idle bit
Jan 28 12:45:20 t470s.jjelen.redhat.com kernel: [drm:drm_atomic_helper_wait_for_flip_done [drm_kms_helper]] *ERROR* [CRTC:55:pipe B] flip_done timed out

Thinkpad T470s

4.20.3-200.fc29.x86_64

Comment 26 Brenden Wood 2019-02-07 23:18:25 UTC
I am also seeing this error on: 

Fedora 29
Thinkpad T470s
4.20.6-200.fc29.x86_64

I leave my laptop docked (with external monitor attached) when I go home. When I check it the next day it is usually frozen on the lock screen with the clock stuck at around midnight.

Feb 07 23:53:13 woody-work-laptop kernel: [drm:intel_cpu_fifo_underrun_irq_handler [i915]] *ERROR* CPU pipe B FIFO underrun
Feb 07 23:56:29 woody-work-laptop systemd[1]: Starting dnf makecache...
Feb 07 23:56:29 woody-work-laptop dnf[24237]: Metadata cache refreshed recently.
Feb 07 23:56:29 woody-work-laptop systemd[1]: Started dnf makecache.
Feb 07 23:56:29 woody-work-laptop audit[1]: SERVICE_START pid=1 uid=0 auid=4294967295 ses=4294967295 subj=system_u:system_r:init_t:s0 msg='unit=dnf-makecache comm="systemd" exe="/usr/lib/systemd/systemd" hostna>
Feb 07 23:56:29 woody-work-laptop audit[1]: SERVICE_STOP pid=1 uid=0 auid=4294967295 ses=4294967295 subj=system_u:system_r:init_t:s0 msg='unit=dnf-makecache comm="systemd" exe="/usr/lib/systemd/systemd" hostnam>
-- Reboot --

Comment 27 ewald 2019-02-10 06:22:38 UTC
Fedora 29
4.20.6-200.fc29.x86_64
Thinkpad T580

I have this error on my Thinkpad T580 with the Pro Dock and a 34" LG display (2560x1440) connected to the dock via DisplayPort.
When I connect the display via HDMI to the laptop, everything works fine.

A passive DP->HDMI converter on the dock doesn't change anything.

I can reproduce the error with changing the display positions in the gnome display settings.
The display says no signal and the laptop freezes in 9/10 trys

Comment 28 ewald 2019-02-10 10:45:37 UTC
Created attachment 1528721 [details]
log with drm.debug=0x1e kernel parameter

This time the system didn't crash completely but the external display stayed black after changing the position in gnome display settings several times.

My display's resolution is 3440x1440, not 2560x1440 as mentioned by me before.

Comment 29 Marek Goldmann 2019-03-12 07:38:43 UTC
I'm also affected by this. I'm on Thinkpad T480s. When it happens, the connection to the Thinkpad Thunderbolt Dock 3 is interrupted and I loose connection to external monitor. xrandr thinks I'm still connected, but the external screen is shut down (in power save mode). I'm on latest updated Fedora 29 / i3w window manager.

Comment 30 ewald 2019-03-12 07:42:58 UTC
I worked around the problem now by using the Ultra Dock instead of the Pro Dock and HDMI instead of DisplayPort.

Comment 31 Brenden Wood 2019-03-12 22:52:17 UTC
I have switched to a new laptop (Thinkpad T580) and new USB-C dock since my original comment and I'm still getting the same kind of errors followed by freezing requiring a hard reboot.

Thinkpad T580
Lenovo Thinkpad USB-C Dock with external monitor via DisplayPort
Kernel: 4.20.13-200.fc29.x86_64

**********
Mar 13 00:01:37   kernel: [drm:intel_cpu_fifo_underrun_irq_handler [i915]] *ERROR* CPU pipe A FIFO underrun
Mar 13 00:02:25   cupsd[1638]: REQUEST localhost - - "POST / HTTP/1.1" 200 184 Renew-Subscription client-error-not-found
Mar 13 00:03:20   kernel: [drm:intel_cpu_fifo_underrun_irq_handler [i915]] *ERROR* CPU pipe A FIFO underrun
Mar 13 00:05:42   systemd[1]: Starting dnf makecache...
Mar 13 00:05:43   dnf[10410]: Metadata cache refreshed recently.
Mar 13 00:05:43   systemd[1]: Started dnf makecache.
Mar 13 00:05:43   audit[1]: SERVICE_START pid=1 uid=0 auid=4294967295 ses=4294967295 subj=system_u:system_r:init_t:s0 msg='unit=dnf-makecache comm="systemd" exe="/usr/lib/systemd/systemd" hostna>
Mar 13 00:05:43   audit[1]: SERVICE_STOP pid=1 uid=0 auid=4294967295 ses=4294967295 subj=system_u:system_r:init_t:s0 msg='unit=dnf-makecache comm="systemd" exe="/usr/lib/systemd/systemd" hostnam>
Mar 13 00:14:33   kernel: CPU2: Core temperature above threshold, cpu clock throttled (total events = 1447)
Mar 13 00:14:33   kernel: CPU6: Core temperature above threshold, cpu clock throttled (total events = 1447)
Mar 13 00:14:33   kernel: CPU6: Package temperature above threshold, cpu clock throttled (total events = 2835)
Mar 13 00:14:33   kernel: CPU2: Package temperature above threshold, cpu clock throttled (total events = 2835)
Mar 13 00:14:33   kernel: CPU0: Package temperature above threshold, cpu clock throttled (total events = 2835)
Mar 13 00:14:33   kernel: CPU4: Package temperature above threshold, cpu clock throttled (total events = 2835)
Mar 13 00:14:33   kernel: CPU5: Package temperature above threshold, cpu clock throttled (total events = 2835)
Mar 13 00:14:33   kernel: CPU1: Package temperature above threshold, cpu clock throttled (total events = 2835)
Mar 13 00:14:33   kernel: CPU7: Package temperature above threshold, cpu clock throttled (total events = 2835)
Mar 13 00:14:33   kernel: CPU3: Package temperature above threshold, cpu clock throttled (total events = 2835)
Mar 13 00:14:33   kernel: CPU2: Core temperature/speed normal
Mar 13 00:14:33   kernel: CPU6: Core temperature/speed normal
Mar 13 00:14:33   kernel: CPU2: Package temperature/speed normal
Mar 13 00:14:33   kernel: CPU0: Package temperature/speed normal
Mar 13 00:14:33   kernel: CPU4: Package temperature/speed normal
Mar 13 00:14:33   kernel: CPU6: Package temperature/speed normal
Mar 13 00:14:33   kernel: CPU5: Package temperature/speed normal
Mar 13 00:14:33   kernel: CPU1: Package temperature/speed normal
Mar 13 00:14:33   kernel: CPU7: Package temperature/speed normal
Mar 13 00:14:33   kernel: CPU3: Package temperature/speed normal
Mar 13 00:15:46   gnome-keyring-daemon[2296]: asked to register item /org/freedesktop/secrets/collection/login/1, but it's already registered
Mar 13 00:44:59   kernel: CPU6: Core temperature above threshold, cpu clock throttled (total events = 1462)
Mar 13 00:44:59   kernel: CPU2: Core temperature above threshold, cpu clock throttled (total events = 1462)
Mar 13 00:44:59   kernel: CPU2: Package temperature above threshold, cpu clock throttled (total events = 2850)
Mar 13 00:44:59   kernel: CPU6: Package temperature above threshold, cpu clock throttled (total events = 2850)
Mar 13 00:44:59   kernel: CPU0: Package temperature above threshold, cpu clock throttled (total events = 2850)
Mar 13 00:44:59   kernel: CPU4: Package temperature above threshold, cpu clock throttled (total events = 2850)
Mar 13 00:44:59   kernel: CPU1: Package temperature above threshold, cpu clock throttled (total events = 2850)
Mar 13 00:44:59   kernel: CPU7: Package temperature above threshold, cpu clock throttled (total events = 2850)
Mar 13 00:44:59   kernel: CPU3: Package temperature above threshold, cpu clock throttled (total events = 2850)
Mar 13 00:44:59   kernel: CPU5: Package temperature above threshold, cpu clock throttled (total events = 2850)
Mar 13 00:44:59   kernel: CPU2: Core temperature/speed normal
Mar 13 00:44:59   kernel: CPU6: Core temperature/speed normal
Mar 13 00:44:59   kernel: CPU7: Package temperature/speed normal
Mar 13 00:44:59   kernel: CPU3: Package temperature/speed normal
Mar 13 00:44:59   kernel: CPU6: Package temperature/speed normal
Mar 13 00:44:59   kernel: CPU2: Package temperature/speed normal
Mar 13 00:44:59   kernel: CPU4: Package temperature/speed normal
Mar 13 00:44:59   kernel: CPU0: Package temperature/speed normal
Mar 13 00:44:59   kernel: CPU5: Package temperature/speed normal
Mar 13 00:44:59   kernel: CPU1: Package temperature/speed normal
Mar 13 01:00:45   cupsd[1638]: REQUEST localhost - - "POST / HTTP/1.1" 200 184 Renew-Subscription client-error-not-found
Mar 13 01:01:01   CROND[10750]: (root) CMD (run-parts /etc/cron.hourly)
Mar 13 01:01:01   run-parts[10753]: (/etc/cron.hourly) starting 0anacron
Mar 13 01:01:01   anacron[10761]: Anacron started on 2019-03-13
Mar 13 01:01:01   anacron[10761]: Normal exit (0 jobs run)
Mar 13 01:01:01   run-parts[10763]: (/etc/cron.hourly) finished 0anacron
Mar 13 01:06:42   systemd[1]: Starting dnf makecache...
Mar 13 01:06:42   dnf[10788]: Metadata cache refreshed recently.
Mar 13 01:06:43   systemd[1]: Started dnf makecache.
Mar 13 01:06:43   audit[1]: SERVICE_START pid=1 uid=0 auid=4294967295 ses=4294967295 subj=system_u:system_r:init_t:s0 msg='unit=dnf-makecache comm="systemd" exe="/usr/lib/systemd/systemd" hostna>
Mar 13 01:06:43   audit[1]: SERVICE_STOP pid=1 uid=0 auid=4294967295 ses=4294967295 subj=system_u:system_r:init_t:s0 msg='unit=dnf-makecache comm="systemd" exe="/usr/lib/systemd/systemd" hostnam>
-- Reboot --

Comment 32 Sam Roza 2019-03-12 23:11:13 UTC
You might want to try booting with the kernel option 'nouveau.runpm=0'. Per this bug: https://bugzilla.redhat.com/show_bug.cgi?id=1545546 and others. I can confirm that this resolved a majority of hangs and freezes associated with the messages you see in this bug.

-SR

Comment 33 Brenden Wood 2019-03-12 23:48:39 UTC
It appears that most of the people commenting on this bug have Intel Graphics and are using the i915 driver so I'm intrigued how a kernel option for Nouveau (NVIDIA driver) would work to fix it. I'd like to read more about it I unfortunately can't open the link because my access is denied.

Comment 34 Sam Roza 2019-03-13 17:16:01 UTC
It's a valid point. Looking over the various bugs over the last 3 years, I think perhaps that's just cruft left over from my last NVIDIA-powered computer. I'll remove it now and see if that re-introduces the bad behavior.

Comment 35 clafordvlawrence 2019-03-26 05:59:06 UTC
I ran into the same issue, except that my computer DID NOT FREEZE! My computer is a X1 carbon 4th gen and I ran arch linux ( not exactly RH, but ...). Here is my log
% dmesg | grep cpu      
[    0.000000] KERNEL supported cpus:
[    0.301042] setup_percpu: NR_CPUS:320 nr_cpumask_bits:320 nr_cpu_ids:4 nr_node_ids:1
[    0.301326] percpu: Embedded 45 pages/cpu @(____ptrval____) s147456 r8192 d28672 u524288
[    0.301338] pcpu-alloc: s147456 r8192 d28672 u524288 alloc=1*2097152
[    0.301340] pcpu-alloc: [0] 0 1 2 3 
[    0.353809] rcu: 	RCU restricting CPUs from NR_CPUS=320 to nr_cpu_ids=4.
[    0.353814] rcu: Adjusting geometry for rcu_fanout_leaf=16, nr_cpu_ids=4
[    0.568768] cpuidle: using governor ladder
[    0.568768] cpuidle: using governor menu
[    1.575258] ledtrig-cpu: registered to indicate activity on CPUs
[    4.218206] cryptd: max_cpu_qlen set to 1000
[   68.249712] [drm:intel_cpu_fifo_underrun_irq_handler [i915]] *ERROR* CPU pipe A FIFO underrun
[  821.337820]  cache: parent cpu1 should not be sleeping
[  821.341653]  cache: parent cpu2 should not be sleeping
[  821.346016]  cache: parent cpu3 should not be sleeping
[ 2863.888268]  cache: parent cpu1 should not be sleeping
[ 2863.892051]  cache: parent cpu2 should not be sleeping
[ 2863.896399]  cache: parent cpu3 should not be sleeping
[11887.070849]  cache: parent cpu1 should not be sleeping
[11887.074644]  cache: parent cpu2 should not be sleeping
[11887.079072]  cache: parent cpu3 should not be sleeping

Comment 36 Rachel.Goreham 2019-04-24 17:45:10 UTC
Has there been any update on this issue?  I'm also experiencing the exact same issue with a high-resolution monitor not working. 

Apr 24 13:35:19 c95534 kernel: [drm:intel_cpu_fifo_underrun_irq_handler [i915]] *ERROR* CPU pipe C FIFO underrun

from Xorg.0.log during the same time frame
[  1337.445] (II) intel(0): resizing framebuffer to 4480x1440
[  1337.507] (EE) intel(0): get_fb: failed to add fb: 4480x1440 depth=24, bpp=32, pitch=17920: 22
[  1337.543] (II) intel(0): switch to mode 2560x1440@60.0 on DP3 using pipe 2, position (1920, 0), rotation normal, reflection none
[  1337.544] (EE) intel(0): get_fb: failed to add fb: 4480x1440 depth=24, bpp=32, pitch=17920: 22

Comment 37 Ben Cotton 2019-05-02 19:39:19 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 38 sebastien.nobert 2019-05-08 13:23:58 UTC
Could someone tell me which information would be needed in order to debug this?

Thanks

Comment 39 Jim Turner 2019-06-29 05:04:18 UTC
Same problem here on F30 with Intel graphics and i915 driver.  This is a new HP EliteBook 840 G5 with 8th gen i7 vPro, 32 GB of RAM, and 1 TB PCIe NVMe m.2 SSD.  The laptop is on a low-profile dock with two HP Z27i external displays connected via DisplayPort.

00:02.0 VGA compatible controller: Intel Corporation UHD Graphics 620 (rev 07) (prog-if 00 [VGA controller])
	DeviceName: Onboard IGD
	Subsystem: Hewlett-Packard Company Device 83b2
	Flags: bus master, fast devsel, latency 0, IRQ 130
	Memory at 1ff2000000 (64-bit, non-prefetchable) [size=16M]
	Memory at c0000000 (64-bit, prefetchable) [size=256M]
	I/O ports at 3000 [size=64]
	[virtual] Expansion ROM at 000c0000 [disabled] [size=128K]
	Capabilities: [40] Vendor Specific Information: Len=0c <?>
	Capabilities: [70] Express Root Complex Integrated Endpoint, MSI 00
	Capabilities: [ac] MSI: Enable+ Count=1/1 Maskable- 64bit-
	Capabilities: [d0] Power Management version 2
	Capabilities: [100] Process Address Space ID (PASID)
	Capabilities: [200] Address Translation Service (ATS)
	Capabilities: [300] Page Request Interface (PRI)
	Kernel driver in use: i915
	Kernel modules: i915

Random reboots while idle with these being the last messages in the journal.

Jun 28 22:01:41 eyeseven kernel: [drm:pipe_config_err [i915]] *ERROR* mismatch in pixel_rate (expected 241500, found 482999)
Jun 28 22:01:41 eyeseven kernel: [drm:pipe_config_err [i915]] *ERROR* mismatch in shared_dpll (expected 00000000c869d74d, found 00000000059f422>
Jun 28 22:01:41 eyeseven kernel: [drm:pipe_config_err [i915]] *ERROR* mismatch in dpll_hw_state.ctrl1 (expected 0x00000003, found 0x00000001)
Jun 28 22:01:41 eyeseven kernel: [drm:pipe_config_err [i915]] *ERROR* mismatch in base.adjusted_mode.crtc_clock (expected 241500, found 482999)
Jun 28 22:01:41 eyeseven kernel: [drm:pipe_config_err [i915]] *ERROR* mismatch in port_clock (expected 270000, found 540000)

Pretty discouraging when your new Linux laptop is more unstable than Charles Manson.  It's almost enough to make me go back to Windows.  Almost.

Comment 40 Brenden Wood 2019-06-30 23:23:51 UTC
I know this isn't very helpful for debugging but this issue seems to have completely gone away (for me) sometime over the last month or so. I'm not sure if it was a kernel update or firmware update that did it but I don't get random crashes with this error message anymore. 

Currently running kernel 5.0.17-300.fc30.x86_64. Fedora 30 on Thinkpad T580

Comment 41 Jim Turner 2019-07-01 04:14:39 UTC
I've made a correlation in my case between leaving VMware Workstation Pro 15.0.4 (build-12990004) running and having F30 crash while idle.  Each time I've had the aforementioned i915-realted crash, I've left a W10 VM running full-screen on the laptop display.  The error would occur routinely within hours of locking my F30 screens and walking away.  Without the VM running, I've now gone over 48 hours without a crash.  The presumption is therefore that VMware Workstation Pro is doing something unsavory.

Three possibilities come to mind:
a) It's related to leaving a VM running full-screen while F30 is locked.
b) It's related to leaving a VM running regardless of full-screen or windowed status while F30 is locked.
c) It's related to the nosleep.exe binary I leave running in the W10 VM to prevent locking the VM's screen.

With regard to item (c), the VM in question runs my corporate W10 image that includes a GPO to lock the screen after 5 minutes of idle time.  A real pain in the butt.  So I run a small Windows binary named nosleep.exe which does nothing more than move the mouse pointer one pixel to the left then one pixel to the right every 30 seconds.  That leaves me wondering if the cumulative mouse movement within a VM that was left full-screen is causing heartburn for F30 since the host OS displays are locked and in power-save mode.

I'll do some further testing with things like leaving the VM running but windowed, leaving the VM up but without nosleep.exe running, and a combination of the two then report back.  For now, I'm going to let it go one more night without the VM running to see if we go another night without a crash.

Comment 42 Jim Turner 2019-07-15 13:15:34 UTC
It crashed again.  Switched to QEMU/KVM for my Win10 VM, and nothing changed.  So VMware Workstation Pro wasn't the culprit.

What I did notice is this:  No crashes when the laptop is undocked.  While docked, frequent crashes caused by Intel graphics driver.

Thus far, I've been operating with two DisplayPort-connected panels *and* the laptop screen active.  I've now closed the laptop lid leaving only the two external panels active.  Things seem much more stable.  No crashes since going from three screens to two screens.  Maybe the Intel graphics adapter and driver simply don't have the horsepower to drive three displays.  Time will tell.  I'm home for the next three weeks.  Will report back.

Comment 43 Marijan 2019-07-25 12:42:30 UTC
Have same laptop (Elitebook 840 G5, HP 2013 UltraSlim Docking, BIOS 01.07 - Fedora 30 - kernel 5.0.9 ) and same problem. Used Ubuntu 18.04LTS for a long time, but than switched to Fedora 30. On Fedora issue appears too, but not often. Searching on the net I found the following info related to this problem:

- Problem appears on different distributions (Ubuntu, Debian, Fedora, ...). It is kernel related and present since kernel version 4.x - don't know if existed in 3.x either. I usually experience several minutes after screen lock. 
- With some kernel versions error appears less or more frequently. Test before switching to the new kernel version. 
- Error appear when using Digital ports and external monitors. Using VGA connector instead of DP seems to help. Some people use single DP + VGA instead of 2x DP and seems improve stability. One my colleague works with 3 external monitors 2xDP + 1VGA, but with laptop lid closed and don't have this issue. So, I would not say that is problem with graphics card horspower. I am using 2xDP + Laptop screen, which seems to be the most critical configuration. 
- Disabling i915 config parameters related to power saving (enable_dc, enable_fbc, enable_psr) may help, but on some systems will not help at all.
- Some people says have better stability with drm-tip kernel 'https://cgit.freedesktop.org/drm-tip', but I don't have better experience with drm_tip kernels.


Did not tried  drm.debug=0x1e, but I will try it if I notice, the issue will appear more frequently. For now, with Fedora 30 and kernel 5.0.9 I have experienced once a week. Much better than before with Ubuntu 4.18.x where I experienced the issue on daily basis.

I have also noticed one interesting thing related to VirtualBox and sond streaming. When on docking with external monitor connected, sound streaming inside Windows VM running on VirtualBox is noisy or with glitches. Running outside the dock works normally. Interesting, maybe have some relation with all this i915 issue.

Comment 44 sebastien.nobert 2019-07-25 13:45:13 UTC
Was running with "options i915 enable_fbc=0" and it occurred nevertheless

Comment 45 Jeremy Whiting 2019-08-01 11:51:33 UTC
 Also affected by complete system lock up and unresponsive on Lenovo T450s model with i915 chipset. Platform is Fedora 29. External monitor is connected using DisplayPort via the docking station.
 It occurrs for me very *rarely* when leaving the docked laptop running overnight. On this occasion it is after several days of use, docking and un-docking and hibernating.
 For me only solution is a reboot.

Extract from kernel logs before reboot.

Aug 01 08:42:43 f29lite kernel: wlp3s0: authentication with 10:0d:7f:cc:f5:dc timed out
Aug 01 08:42:57 f29lite kernel: [drm:intel_cpu_fifo_underrun_irq_handler [i915]] *ERROR* CPU pipe A FIFO underrun
Aug 01 08:43:00 f29lite kernel: wlp3s0: authenticate with 10:0d:7f:cc:f5:dc
Aug 01 08:43:00 f29lite kernel: wlp3s0: send auth to 10:0d:7f:cc:f5:dc (try 1/3)
Aug 01 08:43:00 f29lite kernel: wlp3s0: send auth to 10:0d:7f:cc:f5:dc (try 2/3)
Aug 01 08:43:00 f29lite kernel: wlp3s0: send auth to 10:0d:7f:cc:f5:dc (try 3/3)
Aug 01 08:43:01 f29lite kernel: wlp3s0: authentication with 10:0d:7f:cc:f5:dc timed out
Aug 01 08:43:11 f29lite kernel: wlp3s0: authenticate with 10:0d:7f:cc:f5:dc
Aug 01 08:43:11 f29lite kernel: wlp3s0: send auth to 10:0d:7f:cc:f5:dc (try 1/3)
Aug 01 08:43:12 f29lite kernel: wlp3s0: send auth to 10:0d:7f:cc:f5:dc (try 2/3)
Aug 01 08:43:12 f29lite kernel: wlp3s0: send auth to 10:0d:7f:cc:f5:dc (try 3/3)
Aug 01 08:43:12 f29lite kernel: wlp3s0: authentication with 10:0d:7f:cc:f5:dc timed out
Aug 01 08:43:24 f29lite kernel: [drm:intel_cpu_fifo_underrun_irq_handler [i915]] *ERROR* CPU pipe A FIFO underrun
Aug 01 08:43:28 f29lite kernel: wlp3s0: authenticate with 10:0d:7f:cc:f5:dc
Aug 01 08:43:28 f29lite kernel: wlp3s0: send auth to 10:0d:7f:cc:f5:dc (try 1/3)
Aug 01 08:43:28 f29lite kernel: wlp3s0: send auth to 10:0d:7f:cc:f5:dc (try 2/3)
Aug 01 08:43:28 f29lite kernel: wlp3s0: send auth to 10:0d:7f:cc:f5:dc (try 3/3)
Aug 01 08:43:28 f29lite kernel: wlp3s0: authentication with 10:0d:7f:cc:f5:dc timed out

Whereas after initial boot of the machine the kernel was reporting these errors overnight. Sometimes.

Jul 27 03:37:21 f29lite kernel: [drm:intel_dp_start_link_train [i915]] *ERROR* Timed out waiting for DP idle patterns
Jul 27 03:37:21 f29lite kernel: [drm:intel_cpu_fifo_underrun_irq_handler [i915]] *ERROR* CPU pipe A FIFO underrun

$ uname -a
Linux f29lite 5.1.18-200.fc29.x86_64 #1 SMP Mon Jul 15 16:09:08 UTC 2019 x86_64 x86_64 x86_64 GNU/Linux
$ sudo dnf info xorg-x11-drv-intel.x86_64
Installed Packages
Name         : xorg-x11-drv-intel
Version      : 2.99.917
Release      : 39.20180618.fc29
Architecture : x86_64
Source       : xorg-x11-drv-intel-2.99.917-39.20180618.fc29.src.rpm
Repository   : @System
From repo    : fedora
Summary      : Xorg X11 Intel video driver
URL          : http://www.x.org
License      : MIT
Description  : X.Org X11 Intel video driver.

BIOS Information
        Release Date: 09/14/2018
        BIOS Revision: 1.35
        Firmware Revision: 1.4

Comment 46 Ben Cotton 2019-10-31 18:54:34 UTC
This message is a reminder that Fedora 29 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 29 on 2019-11-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '29'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 29 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 47 sebastien.nobert 2019-11-01 12:44:31 UTC
Please bump version to Fedora 30. Still happening frequently for me. With some input from a kernel dev I can try to get more info to debug this.

Comment 48 Brandon Bennett 2019-11-07 16:05:32 UTC
Running into this issue again with Fedora 31.  No output to usb-c to monitor (worked before).

Comment 49 Ben Cotton 2019-11-27 18:11:18 UTC
Fedora 29 changed to end-of-life (EOL) status on 2019-11-26. Fedora 29 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 50 Pierre Wakim 2019-12-04 15:36:54 UTC
Still occurring with Fedora 31 running on Lenovo T460s.

Comment 51 Ingvar Hagelund 2019-12-04 15:37:52 UTC
I observe this on Fedora 30 as well. The machine does not crash completely, but my Gnome3 desktop hangs while the kernel spews the infamous drm:intel_cpu_fifo_underrun_irq_handler. Leaving the desktop alone for a minute or three, or jump to another TTY and back temporarily makes the desktop come alive again. It seems to be trigged by heavy usage, like having large amounts of windows and panes open, while cycling fast between them. No specific way to trig it though.

Observered on kernel 5.3.8-200.fc30.x86_64. I haven't tested kernel-5.3.11-200.fc30.x86_64 on this machine yet. This happens several times per day:

$ LANG=C journalctl -k | grep intel_cpu_fifo_underrun_irq_handler | awk '{print $1,$2}' | uniq -c  | tail 
     21 Nov 25
     19 Nov 26
     22 Nov 27
     14 Nov 28
     33 Nov 29
      7 Nov 30
      6 Dec 01
      3 Dec 02
     14 Dec 03
     12 Dec 04

Comment 52 Pierre Wakim 2019-12-04 15:53:55 UTC
$ uname -a
Linux jazz 5.3.13-300.fc31.x86_64 #1 SMP Mon Nov 25 17:25:25 UTC 2019 x86_64 x86_64 x86_64 GNU/Linux
$ more /etc/fedora-release 
Fedora release 31 (Thirty One)


Seems to occur when the notebook is in its docking station and is in 'Blank Screen' mode with 'Blank Screen' parameter in the Power Settings is set to any value other than 'Never'. I used to have it randomly occurring when I come on the next day in the morning and shake the mouse in order to enter my password.

Comment 53 sebastien.nobert 2020-02-24 14:29:23 UTC
I got a stack trace today.

Linux seb-laptop 5.5.5-200.fc31.x86_64 #1 SMP Wed Feb 19 23:28:07 UTC 2020 x86_64 x86_64 x86_64 GNU/Linux

[318406.071910] [drm] Reducing the compressed framebuffer size. This may lead to less power savings than a non-reduced-size. Try to increase stolen memory size if available in BIOS.
[324264.857378] [drm:intel_cpu_fifo_underrun_irq_handler [i915]] *ERROR* CPU pipe A FIFO underrun
[324264.857421] [drm:pipe_config_mismatch [i915]] *ERROR* mismatch in pixel_rate (expected 148500, found 296999)
[324264.857449] [drm:pipe_config_mismatch [i915]] *ERROR* mismatch in shared_dpll (expected 00000000f06641f2, found 00000000bcb2c7fd)
[324264.857475] [drm:pipe_config_mismatch [i915]] *ERROR* mismatch in base.adjusted_mode.crtc_clock (expected 148500, found 296999)
[324264.857499] [drm:pipe_config_mismatch [i915]] *ERROR* mismatch in port_clock (expected 270000, found 540000)
[324264.857502] ------------[ cut here ]------------
[324264.857502] pipe state doesn't match!
[324264.857571] WARNING: CPU: 3 PID: 8014 at drivers/gpu/drm/i915/display/intel_display.c:13148 intel_atomic_commit_tail+0x1331/0x14e0 [i915]
[324264.857571] Modules linked in: rfcomm cmac nf_conntrack_netlink xt_addrtype br_netfilter xt_CHECKSUM xt_MASQUERADE nf_nat_tftp nf_conntrack_tftp nf_conntrack_netbios_ns nf_conntrack_broadcast xt_CT ip6t_REJECT nf_reject_ipv6 ip6t_rpfilter ipt_REJECT nf_reject_ipv4 xt_conntrack ebtable_nat ebtable_broute ip6table_nat ip6table_mangle ip6table_raw ip6table_security iptable_nat nf_nat iptable_mangle iptable_raw iptable_security nf_conntrack nf_defrag_ipv6 nf_defrag_ipv4 tun bridge stp llc ip_set nfnetlink ebtable_filter overlay ebtables ip6table_filter ip6_tables iptable_filter bnep rmi_smbus rmi_core intel_rapl_msr intel_rapl_common x86_pkg_temp_thermal intel_powerclamp coretemp kvm_intel kvm snd_usb_audio mei_hdcp mei_wdt iTCO_wdt iwlmvm uvcvideo snd_usbmidi_lib btusb iTCO_vendor_support mac80211 snd_rawmidi btrtl irqbypass btbcm btintel crct10dif_pclmul videobuf2_vmalloc crc32_pclmul videobuf2_memops libarc4 videobuf2_v4l2 bluetooth snd_hda_codec_realtek snd_hda_codec_generic iwlwifi
[324264.857592]  snd_hda_codec_hdmi videobuf2_common snd_hda_intel ghash_clmulni_intel intel_cstate snd_intel_dspcfg snd_hda_codec videodev intel_uncore intel_rapl_perf snd_hda_core snd_hwdep cfg80211 wmi_bmof snd_seq ecdh_generic joydev ecc snd_seq_device mc snd_pcm i2c_i801 intel_pch_thermal thinkpad_acpi rtsx_pci_ms mei_me snd_timer lpc_ich memstick mei ledtrig_audio snd soundcore dm_crypt nfsd auth_rpcgss nfs_acl lockd grace sunrpc ip_tables xfs libcrc32c rfkill hid_logitech_hidpp i915 rtsx_pci_sdmmc mmc_core serio_raw i2c_algo_bit drm_kms_helper crc32c_intel drm e1000e rtsx_pci wmi video hid_logitech_dj fuse ecryptfs
[324264.857609] CPU: 3 PID: 8014 Comm: Xorg Not tainted 5.4.20-200.fc31.x86_64 #1
[324264.857610] Hardware name: LENOVO 20BX001LUS/20BX001LUS, BIOS JBET73WW (1.37 ) 08/14/2019
[324264.857638] RIP: 0010:intel_atomic_commit_tail+0x1331/0x14e0 [i915]
[324264.857640] Code: b6 f0 48 c7 c7 f0 fc 42 c0 e8 4b cc e8 ff e9 e6 f3 ff ff 83 bd 60 09 00 00 03 0f 85 9a f9 ff ff e9 a3 f9 ff ff e8 4d a2 d7 d2 <0f> 0b e9 58 f8 ff ff 8b 44 24 7c 80 3d 34 50 16 00 00 48 c7 c7 c0
[324264.857641] RSP: 0018:ffffa8ce4a4afb40 EFLAGS: 00010286
[324264.857642] RAX: 0000000000000000 RBX: ffff8dc3ff49d000 RCX: 0000000000000006
[324264.857642] RDX: 0000000000000007 RSI: 0000000000000096 RDI: ffff8dc409cd7900
[324264.857643] RBP: ffff8dc3fda00000 R08: 000000000000046f R09: 0000000000000003
[324264.857644] R10: 0000000000000000 R11: 0000000000000001 R12: ffff8dc3fda002b0
[324264.857644] R13: ffff8dc0857eb000 R14: ffff8dc3fda002b8 R15: ffff8dc28b9eb000
[324264.857646] FS:  00007ff4ccbc1f00(0000) GS:ffff8dc409cc0000(0000) knlGS:0000000000000000
[324264.857646] CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
[324264.857647] CR2: 00007f575412af88 CR3: 00000004e11f4002 CR4: 00000000003606e0
[324264.857648] DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
[324264.857648] DR3: 0000000000000000 DR6: 00000000fffe0ff0 DR7: 0000000000000400
[324264.857649] Call Trace:
[324264.857681]  intel_atomic_commit+0x284/0x2b0 [i915]
[324264.857701]  drm_atomic_connector_commit_dpms+0xd7/0x100 [drm]
[324264.857713]  drm_mode_obj_set_property_ioctl+0x159/0x2b0 [drm]
[324264.857725]  ? drm_connector_set_obj_prop+0x90/0x90 [drm]
[324264.857736]  drm_connector_property_set_ioctl+0x39/0x60 [drm]
[324264.857744]  drm_ioctl_kernel+0xaa/0xf0 [drm]
[324264.857753]  drm_ioctl+0x208/0x390 [drm]
[324264.857764]  ? drm_connector_set_obj_prop+0x90/0x90 [drm]
[324264.857773]  ? __set_task_blocked+0x34/0xa0
[324264.857776]  ? selinux_file_ioctl+0x174/0x220
[324264.857779]  do_vfs_ioctl+0x40e/0x670
[324264.857781]  ksys_ioctl+0x5e/0x90
[324264.857783]  ? exit_to_usermode_loop+0xc7/0x130
[324264.857785]  __x64_sys_ioctl+0x16/0x20
[324264.857787]  do_syscall_64+0x5b/0x1a0
[324264.857789]  entry_SYSCALL_64_after_hwframe+0x44/0xa9
[324264.857791] RIP: 0033:0x7ff4cd03c38b
[324264.857792] Code: 0f 1e fa 48 8b 05 fd 9a 0c 00 64 c7 00 26 00 00 00 48 c7 c0 ff ff ff ff c3 66 0f 1f 44 00 00 f3 0f 1e fa b8 10 00 00 00 0f 05 <48> 3d 01 f0 ff ff 73 01 c3 48 8b 0d cd 9a 0c 00 f7 d8 64 89 01 48
[324264.857793] RSP: 002b:00007fff09b94d68 EFLAGS: 00000246 ORIG_RAX: 0000000000000010
[324264.857794] RAX: ffffffffffffffda RBX: 00007fff09b94da0 RCX: 00007ff4cd03c38b
[324264.857795] RDX: 00007fff09b94da0 RSI: 00000000c01064ab RDI: 000000000000000e
[324264.857795] RBP: 00000000c01064ab R08: 000056235ab58ed0 R09: 0000000000000000
[324264.857796] R10: 000056235ab58ed0 R11: 0000000000000246 R12: 000056235acf4c90
[324264.857796] R13: 000000000000000e R14: 0000000000000000 R15: 00005623599105c0
[324264.857798] ---[ end trace a13be585af76b15e ]---
[324264.865805] [drm] Reducing the compressed framebuffer size. This may lead to less power savings than a non-reduced-size. Try to increase stolen memory size if available in BIOS.
[331636.753299] [drm:intel_cpu_fifo_underrun_irq_handler [i915]] *ERROR* CPU pipe B FIFO underrun

Comment 54 angusgyoung 2020-03-03 12:05:25 UTC
I am experiencing a similar issue with a Thinkpad 13 on F31. System crashes frequently when connected to Lenovo USB C dock with two external monitors. I have noticed that the system only seems to crash when the battery is fully charged, the system seems stable up until that point.
Stack trace looks similar to those reported above.

5.5.6-201.fc31.x86_64

 2 Mar 22:07:30 kernel: [drm:drm_atomic_helper_wait_for_dependencies [drm_kms_helper]] *ERROR* [PLANE:52:plane 1B] flip_done timed out
 2 Mar 22:07:09 kernel: [drm:drm_atomic_helper_wait_for_flip_done [drm_kms_helper]] *ERROR* [CRTC:72:pipe B] flip_done timed out
 2 Mar 22:06:59 kernel: [drm:intel_ddi_prepare_link_retrain [i915]] *ERROR* Timeout waiting for DDI BUF C idle bit
 2 Mar 22:06:29 kernel: ---[ end trace f18cbdcb6f01b861 ]---
 2 Mar 22:06:29 kernel: R13: 000000000000000a R14: 0000000000000002 R15: 0000000000000000
 2 Mar 22:06:29 kernel: R10: 0000000000000000 R11: 0000000000000246 R12: 00005616ae279180
 2 Mar 22:06:29 kernel: RBP: 00000000c01864ba R08: 0000000000000000 R09: 00000000c0c0c0c0
 2 Mar 22:06:29 kernel: RDX: 00007fff1ef2fe90 RSI: 00000000c01864ba RDI: 000000000000000a
 2 Mar 22:06:29 kernel: RAX: ffffffffffffffda RBX: 00007fff1ef2fe90 RCX: 00007fecefd2738b
 2 Mar 22:06:29 kernel: RSP: 002b:00007fff1ef2fe58 EFLAGS: 00000246 ORIG_RAX: 0000000000000010
 2 Mar 22:06:29 kernel: Code: 0f 1e fa 48 8b 05 fd 9a 0c 00 64 c7 00 26 00 00 00 48 c7 c0 ff ff ff ff c3 66 0f 1f 44 00 00 f3 0f 1e fa b8 10 00 00 00 0f 05 <48> 3d 01 f0 ff ff 73 01 c3 48 8b 0d cd 9a 0c 00 f7 d8 64 89 01 48
 2 Mar 22:06:29 kernel: RIP: 0033:0x7fecefd2738b
 2 Mar 22:06:29 kernel:  entry_SYSCALL_64_after_hwframe+0x44/0xa9
 2 Mar 22:06:29 kernel: Call Trace:
 2 Mar 22:06:29 kernel: CR2: 00007f0c5a383a10 CR3: 00000003d6b92001 CR4: 00000000003606e0
 2 Mar 22:06:29 kernel: CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
 2 Mar 22:06:29 kernel: FS:  00007fecec058200(0000) GS:ffff95a30f500000(0000) knlGS:0000000000000000
 2 Mar 22:06:29 kernel: R13: ffff95a229690000 R14: ffff95a3042602b8 R15: ffff95a24c0ac000
 2 Mar 22:06:29 kernel: R10: 0000000000000000 R11: 0000000000000001 R12: ffff95a3042602b0
 2 Mar 22:06:29 kernel: RBP: ffff95a304260000 R08: 0000000000000bd1 R09: 0000000000000003
 2 Mar 22:06:29 kernel: RDX: 0000000000000007 RSI: 0000000000000096 RDI: ffff95a30f519cc0
 2 Mar 22:06:29 kernel: RAX: 0000000000000000 RBX: ffff95a306cae800 RCX: 0000000000000007
 2 Mar 22:06:29 kernel: RSP: 0018:ffffb1dec3533b70 EFLAGS: 00010282
 2 Mar 22:06:29 kernel: Code: b6 f0 48 c7 c7 d0 a0 78 c0 e8 aa 34 e4 ff e9 a4 f3 ff ff 83 bd 84 09 00 00 03 0f 85 54 f9 ff ff e9 5d f9 ff ff e8 90 7d a2 c5 <0f> 0b e9 12 f8 ff ff 8b 44 24 7c 80 3d 1b f4 16 00 00 48 c7 c7 a0
 2 Mar 22:06:29 kernel: RIP: 0010:intel_atomic_commit_tail+0x12d2/0x1480 [i915]
 2 Mar 22:06:29 kernel: Hardware name: LENOVO 20J1CTO1WW/20J1CTO1WW, BIOS R0JET24W (1.09 ) 03/08/2017
 2 Mar 22:06:29 kernel: CPU: 2 PID: 38717 Comm: gnome-shell Not tainted 5.5.6-201.fc31.x86_64 #1
 2 Mar 22:06:29 kernel:  snd_hda_codec_generic snd_usbmidi_lib cfg80211 btusb snd_hda_intel snd_intel_dspcfg btrtl btbcm snd_rawmidi snd_hda_codec btintel uvcvideo irqbypass bluetooth snd_hda_core intel_cstate intel_uncore videobuf2_vmalloc snd_hwdep videobuf2_memops snd_seq videobuf2_v4l2 intel_rapl_perf videobuf2_common snd_seq_device snd_pcm videodev joydev intel_wmi_thunderbolt wmi_bmof ecdh_generic ecc snd_timer mc mei_me i2c_i801 mei idma64 intel_pch_thermal ucsi_acpi typec_ucsi thinkpad_acpi typec intel_xhci_usb_role_switch roles ledtrig_audio snd soundcore acpi_pad ip_tables dm_crypt rfkill i915 crct10dif_pclmul e1000e crc32_pclmul i2c_algo_bit crc32c_intel drm_kms_helper ghash_clmulni_intel r8152 serio_raw drm mii wmi pinctrl_sunrisepoint video pinctrl_intel hid_logitech_hidpp hid_logitech_dj fuse
 2 Mar 22:06:29 kernel: Modules linked in: uhid cdc_ether usbnet uinput rfcomm ccm xt_MASQUERADE xt_CHECKSUM nf_nat_tftp nf_conntrack_tftp tun bridge stp llc nf_conntrack_netbios_ns nf_conntrack_broadcast xt_CT ip6t_REJECT nf_reject_ipv6 ip6t_rpfilter ipt_REJECT nf_reject_ipv4 xt_conntrack ebtable_nat ebtable_broute ip6table_nat ip6table_mangle ip6table_raw ip6table_security iptable_nat nf_nat iptable_mangle iptable_raw iptable_security nf_conntrack nf_defrag_ipv6 nf_defrag_ipv4 libcrc32c ip_set nfnetlink ebtable_filter ebtables ip6table_filter ip6_tables iptable_filter cmac bnep sunrpc vfat fat squashfs zstd_decompress loop snd_soc_skl snd_soc_sst_ipc intel_rapl_msr snd_soc_sst_dsp snd_hda_ext_core snd_soc_acpi_intel_match iwlmvm snd_soc_acpi intel_rapl_common snd_soc_core x86_pkg_temp_thermal snd_usb_audio intel_powerclamp coretemp kvm_intel mei_hdcp mac80211 iTCO_wdt iTCO_vendor_support libarc4 iwlwifi snd_compress kvm ac97_bus snd_hda_codec_hdmi snd_pcm_dmaengine snd_hda_codec_realtek
 2 Mar 22:06:29 kernel: WARNING: CPU: 2 PID: 38717 at drivers/gpu/drm/i915/display/intel_display.c:13519 intel_atomic_commit_tail+0x12d2/0x1480 [i915]
 2 Mar 22:06:29 kernel: pipe state doesn't match!
 2 Mar 22:06:29 kernel: ------------[ cut here ]------------
 2 Mar 22:06:29 kernel: [drm:pipe_config_mismatch [i915]] *ERROR* [CRTC:72:pipe B] mismatch in port_clock (expected 270000, found 540000)
 2 Mar 22:06:29 kernel: [drm:pipe_config_mismatch [i915]] *ERROR* [CRTC:72:pipe B] mismatch in port_clock (expected 270000, found 540000)
 2 Mar 22:06:29 kernel: [drm:pipe_config_mismatch [i915]] *ERROR* [CRTC:72:pipe B] mismatch in base.adjusted_mode.crtc_clock (expected 148500, found 296999)
 2 Mar 22:06:29 kernel: [drm:pipe_config_mismatch [i915]] *ERROR* [CRTC:72:pipe B] mismatch in dpll_hw_state.ctrl1 (expected 0x00000003, found 0x00000001)
 2 Mar 22:06:29 kernel: [drm:pipe_config_mismatch [i915]] *ERROR* [CRTC:72:pipe B] mismatch in shared_dpll (expected 00000000a31e9eb9, found 0000000063779900)
 2 Mar 22:06:29 kernel: [drm:pipe_config_mismatch [i915]] *ERROR* [CRTC:72:pipe B] mismatch in pixel_rate (expected 148500, found 296999)
 2 Mar 22:06:29 kernel: [drm:intel_cpu_fifo_underrun_irq_handler [i915]] *ERROR* CPU pipe B FIFO underrun
 2 Mar 22:06:29 kernel: [drm:intel_cpu_fifo_underrun_irq_handler [i915]] *ERROR* CPU pipe B FIFO underrun
 2 Mar 22:06:29 kernel: [drm:intel_cpu_fifo_underrun_irq_handler [i915]] *ERROR* CPU pipe C FIFO underrun

Comment 55 angusgyoung 2020-03-08 16:09:11 UTC
My issue was solved after:

- Kernel update to 5.5.7
- BIOS update (03/08/17 to 12/30/2019)
- Disabling smart charging in BIOS

No stability issues after 5 days of uptime, previously seeing at least 1 crash requiring a restart per day (if using dock).

Comment 56 Ben Cotton 2020-04-30 20:16:27 UTC
This message is a reminder that Fedora 30 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 30 on 2020-05-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '30'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 30 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 57 kohnish 2020-05-20 09:24:53 UTC
The issue is happening with Fedora 32.

My kernel version is 5.6.12-300.fc32.x86_64 
Adding the "options i915 enable_fbc=0" didn't help.

dmesg consistently shows the following when display flickering occurs.
[drm:intel_cpu_fifo_underrun_irq_handler [i915]] *ERROR* CPU pipe A FIFO underrun

Comment 58 kohnish 2020-05-20 09:27:23 UTC
Also in my case, it's not related to xorg-x11-drv-intel package. I'm on wayland.

Comment 59 Ben Cotton 2020-05-26 14:28:32 UTC
Fedora 30 changed to end-of-life (EOL) status on 2020-05-26. Fedora 30 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 60 Yuval Lifshitz 2020-06-28 08:54:15 UTC
reboot also happening in fedora31 (wayland).
OS: Fedora release 31 (Thirty One) x86_64 
Host: 20FAS2BN06 ThinkPad T460s 
Kernel: 5.6.19-200.fc31.x86_64 
Intel Skylake GT2 [HD Graphics 520]

log:

Jun 26 19:20:59 localhost.localdomain kernel: [drm:intel_cpu_fifo_underrun_irq_handler [i915]] *ERROR* CPU pipe B FIFO underrun
Jun 26 19:20:59 localhost.localdomain kernel: [drm:pipe_config_mismatch [i915]] *ERROR* [CRTC:72:pipe B] mismatch in pixel_rate (expected 148500, found 296999)
Jun 26 19:20:59 localhost.localdomain kernel: [drm:pipe_config_mismatch [i915]] *ERROR* [CRTC:72:pipe B] mismatch in shared_dpll (expected 000000002aae6db2, found 00000000009ec03d)
Jun 26 19:20:59 localhost.localdomain kernel: [drm:pipe_config_mismatch [i915]] *ERROR* [CRTC:72:pipe B] mismatch in dpll_hw_state.ctrl1 (expected 0x00000003, found 0x00000001)
Jun 26 19:20:59 localhost.localdomain kernel: [drm:pipe_config_mismatch [i915]] *ERROR* [CRTC:72:pipe B] mismatch in hw.adjusted_mode.crtc_clock (expected 148500, found 296999)
Jun 26 19:20:59 localhost.localdomain kernel: [drm:pipe_config_mismatch [i915]] *ERROR* [CRTC:72:pipe B] mismatch in port_clock (expected 270000, found 540000)
Jun 26 19:20:59 localhost.localdomain kernel: ------------[ cut here ]------------
Jun 26 19:20:59 localhost.localdomain kernel: pipe state doesn't match!
Jun 26 19:20:59 localhost.localdomain kernel: WARNING: CPU: 3 PID: 2528 at drivers/gpu/drm/i915/display/intel_display.c:14020 intel_atomic_commit_tail+0x11e3/0x13c0 [i915]
Jun 26 19:20:59 localhost.localdomain kernel: Modules linked in: uinput rfcomm ccm xt_CHECKSUM xt_MASQUERADE nf_nat_tftp nf_conntrack_tftp tun bridge stp llc nf_nat_ftp nf_conntrack_netbios_ns nf_conntrack_broadcast nf_conntrack_ftp xt_C>
Jun 26 19:20:59 localhost.localdomain kernel:  snd_intel_dspcfg snd_hda_codec snd_usb_audio cfg80211 snd_hda_core snd_usbmidi_lib snd_rawmidi irqbypass intel_cstate snd_hwdep btusb btrtl btbcm btintel intel_uncore snd_seq bluetooth intel>
Jun 26 19:20:59 localhost.localdomain kernel: CPU: 3 PID: 2528 Comm: gnome-shell Not tainted 5.6.19-200.fc31.x86_64 #1
Jun 26 19:20:59 localhost.localdomain kernel: Hardware name: LENOVO 20FAS2BN06/20FAS2BN06, BIOS N1CET54W (1.22 ) 02/10/2017
Jun 26 19:20:59 localhost.localdomain kernel: RIP: 0010:intel_atomic_commit_tail+0x11e3/0x13c0 [i915]
Jun 26 19:20:59 localhost.localdomain kernel: Code: f0 48 c7 c7 28 e5 54 c0 e8 0a b6 df ff e9 77 f5 ff ff 41 83 be 44 0b 00 00 03 0f 85 76 fa ff ff e9 7e fa ff ff e8 5f f2 c5 e1 <0f> 0b e9 d8 f9 ff ff 8b 44 24 7c 80 3d 3a 63 17 00 00 48 >
Jun 26 19:20:59 localhost.localdomain kernel: RSP: 0018:ffffbd5ec20abc08 EFLAGS: 00010296
Jun 26 19:20:59 localhost.localdomain kernel: RAX: 0000000000000019 RBX: ffff9b773f438800 RCX: 0000000000000007
Jun 26 19:20:59 localhost.localdomain kernel: RDX: 0000000000000007 RSI: 0000000000000096 RDI: ffff9b774db99cc0
Jun 26 19:20:59 localhost.localdomain kernel: RBP: ffff9b7740ee0000 R08: 0000000000000421 R09: 0000000000000003
Jun 26 19:20:59 localhost.localdomain kernel: R10: 0000000000000000 R11: 0000000000000001 R12: ffff9b75c91b1000
Jun 26 19:20:59 localhost.localdomain kernel: R13: ffff9b7740ee02b0 R14: ffff9b756ba41000 R15: ffff9b756ba41000
Jun 26 19:20:59 localhost.localdomain kernel: FS:  00007f900ef46200(0000) GS:ffff9b774db80000(0000) knlGS:0000000000000000
Jun 26 19:20:59 localhost.localdomain kernel: CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
Jun 26 19:20:59 localhost.localdomain kernel: CR2: 0000267284344000 CR3: 000000050689c005 CR4: 00000000003606e0
Jun 26 19:20:59 localhost.localdomain kernel: DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
Jun 26 19:20:59 localhost.localdomain kernel: DR3: 0000000000000000 DR6: 00000000fffe0ff0 DR7: 0000000000000400
Jun 26 19:20:59 localhost.localdomain kernel: Call Trace:
Jun 26 19:20:59 localhost.localdomain kernel:  intel_atomic_commit+0x2dd/0x350 [i915]
Jun 26 19:20:59 localhost.localdomain kernel:  drm_atomic_connector_commit_dpms+0xd7/0x100 [drm]
Jun 26 19:20:59 localhost.localdomain kernel:  drm_mode_obj_set_property_ioctl+0x149/0x2a0 [drm]
Jun 26 19:20:59 localhost.localdomain kernel:  ? drm_mode_obj_find_prop_id+0x40/0x40 [drm]
Jun 26 19:20:59 localhost.localdomain kernel:  drm_ioctl_kernel+0x86/0xd0 [drm]
Jun 26 19:20:59 localhost.localdomain kernel:  drm_ioctl+0x208/0x390 [drm]
Jun 26 19:20:59 localhost.localdomain kernel:  ? drm_mode_obj_find_prop_id+0x40/0x40 [drm]
Jun 26 19:20:59 localhost.localdomain kernel:  ? __schedule+0x2c0/0x710
Jun 26 19:20:59 localhost.localdomain kernel:  ksys_ioctl+0x87/0xc0
Jun 26 19:20:59 localhost.localdomain kernel:  __x64_sys_ioctl+0x16/0x20
Jun 26 19:20:59 localhost.localdomain kernel:  do_syscall_64+0x5b/0x1c0
Jun 26 19:20:59 localhost.localdomain kernel:  entry_SYSCALL_64_after_hwframe+0x44/0xa9
Jun 26 19:20:59 localhost.localdomain kernel: RIP: 0033:0x7f9012c2b35b
Jun 26 19:20:59 localhost.localdomain kernel: Code: 0f 1e fa 48 8b 05 2d 9b 0c 00 64 c7 00 26 00 00 00 48 c7 c0 ff ff ff ff c3 66 0f 1f 44 00 00 f3 0f 1e fa b8 10 00 00 00 0f 05 <48> 3d 01 f0 ff ff 73 01 c3 48 8b 0d fd 9a 0c 00 f7 d8 64 >
Jun 26 19:20:59 localhost.localdomain kernel: RSP: 002b:00007ffe79c1b758 EFLAGS: 00000246 ORIG_RAX: 0000000000000010
Jun 26 19:20:59 localhost.localdomain kernel: RAX: ffffffffffffffda RBX: 00007ffe79c1b790 RCX: 00007f9012c2b35b
Jun 26 19:20:59 localhost.localdomain kernel: RDX: 00007ffe79c1b790 RSI: 00000000c01864ba RDI: 0000000000000009
Jun 26 19:20:59 localhost.localdomain kernel: RBP: 00000000c01864ba R08: 0000000000000000 R09: 00000000c0c0c0c0
Jun 26 19:20:59 localhost.localdomain kernel: R10: 00007f9012cf59e0 R11: 0000000000000246 R12: 000055b85123b400
Jun 26 19:20:59 localhost.localdomain kernel: R13: 0000000000000009 R14: 0000000000000002 R15: 0000000000000000
Jun 26 19:20:59 localhost.localdomain kernel: ---[ end trace a84398d8a4dba33f ]---
Jun 26 19:21:14 localhost.localdomain kernel: [drm:intel_ddi_prepare_link_retrain [i915]] *ERROR* Timeout waiting for DDI BUF C idle bit
Jun 26 19:21:14 localhost.localdomain kernel: [drm:intel_dp_start_link_train [i915]] *ERROR* Timed out waiting for DP idle patterns
Jun 26 19:21:24 localhost.localdomain kernel: [drm:drm_atomic_helper_wait_for_flip_done [drm_kms_helper]] *ERROR* [CRTC:72:pipe B] flip_done timed out
-- Reboot --

Comment 61 kohnish 2020-07-02 06:26:26 UTC
I enabled `drm.debug=0x1e log_buf_len=4M` in kernel option. underrun happened with display flickering with kernel 5.7.6 (fedora 32)
This is getting annoying because sometime it happens too frequently that you can't see your display.

```
Jul 02 08:18:29 fedora kernel: i915 0000:00:02.0: [drm:intel_plane_atomic_calc_changes [i915]] [CRTC:51:pipe A] with [PLANE:31:plane 1A] visible 1 -> 1, off 0, on 0, ms 0
Jul 02 08:18:29 fedora kernel: [drm:drm_atomic_nonblocking_commit [drm]] committing 0000000030d80849 nonblocking
Jul 02 08:18:29 fedora kernel: [drm:drm_atomic_state_default_clear [drm]] Clearing atomic state 0000000030d80849
Jul 02 08:18:29 fedora kernel: [drm:__drm_atomic_state_free [drm]] Freeing atomic state 0000000030d80849
Jul 02 08:18:29 fedora kernel: [drm:drm_mode_addfb2 [drm]] [FB:119]
Jul 02 08:18:29 fedora kernel: [drm:drm_atomic_state_init [drm]] Allocated atomic state 0000000024cc385b
Jul 02 08:18:29 fedora kernel: [drm:drm_atomic_get_crtc_state [drm]] Added [CRTC:51:pipe A] 000000005de3909b state to 0000000024cc385b
Jul 02 08:18:29 fedora kernel: [drm:drm_atomic_get_plane_state [drm]] Added [PLANE:31:plane 1A] 0000000045415c0f state to 0000000024cc385b
Jul 02 08:18:29 fedora kernel: [drm:drm_atomic_set_fb_for_plane [drm]] Set [FB:119] for [PLANE:31:plane 1A] state 0000000045415c0f
Jul 02 08:18:29 fedora kernel: [drm:drm_atomic_check_only [drm]] checking 0000000024cc385b
Jul 02 08:18:29 fedora kernel: i915 0000:00:02.0: [drm:intel_plane_atomic_calc_changes [i915]] [CRTC:51:pipe A] with [PLANE:31:plane 1A] visible 1 -> 1, off 0, on 0, ms 0
Jul 02 08:18:29 fedora kernel: [drm:drm_atomic_nonblocking_commit [drm]] committing 0000000024cc385b nonblocking
Jul 02 08:18:29 fedora kernel: [drm:drm_atomic_state_default_clear [drm]] Clearing atomic state 0000000024cc385b
Jul 02 08:18:29 fedora kernel: [drm:__drm_atomic_state_free [drm]] Freeing atomic state 0000000024cc385b
Jul 02 08:18:29 fedora kernel: i915 0000:00:02.0: [drm] *ERROR* CPU pipe A FIFO underrun
Jul 02 08:18:29 fedora kernel: [drm:intel_fbc_underrun_work_fn [i915]] Disabling FBC due to FIFO underrun.
Jul 02 08:18:29 fedora kernel: [drm:drm_atomic_set_fb_for_plane [drm]] Set [FB:121] for [PLANE:47:cursor A] state 00000000774c9039
Jul 02 08:18:29 fedora kernel: i915 0000:00:02.0: [drm:intel_plane_atomic_calc_changes [i915]] [CRTC:51:pipe A] with [PLANE:47:cursor A] visible 1 -> 1, off 0, on 0, ms 0
Jul 02 08:18:29 fedora kernel: [drm:drm_mode_addfb2 [drm]] [FB:117]
Jul 02 08:18:29 fedora kernel: [drm:drm_atomic_state_init [drm]] Allocated atomic state 0000000030d80849
Jul 02 08:18:29 fedora kernel: [drm:drm_atomic_get_crtc_state [drm]] Added [CRTC:51:pipe A] 00000000019ec573 state to 0000000030d80849
Jul 02 08:18:29 fedora kernel: [drm:drm_atomic_get_plane_state [drm]] Added [PLANE:31:plane 1A] 000000006db4e4ee state to 0000000030d80849
Jul 02 08:18:29 fedora kernel: [drm:drm_atomic_set_fb_for_plane [drm]] Set [FB:117] for [PLANE:31:plane 1A] state 000000006db4e4ee
Jul 02 08:18:29 fedora kernel: [drm:drm_atomic_check_only [drm]] checking 0000000030d80849
Jul 02 08:18:29 fedora kernel: i915 0000:00:02.0: [drm:intel_plane_atomic_calc_changes [i915]] [CRTC:51:pipe A] with [PLANE:31:plane 1A] visible 1 -> 1, off 0, on 0, ms 0
Jul 02 08:18:29 fedora kernel: [drm:drm_atomic_nonblocking_commit [drm]] committing 0000000030d80849 nonblocking

```

Comment 62 kohnish 2020-07-02 06:32:57 UTC
This could be related. 
https://patchwork.kernel.org/patch/9170895/

Comment 63 James 2020-07-02 07:37:31 UTC
In my case this seems to be related to use of the deep package sleep states, specifically PC8. I've not seen any underruns or blanks so far with intel_idle.max_cstate=5 on the kernel cmdline. Enabling or disabling FBC or PSR makes no difference either way.

Comment 64 sebastien.nobert 2020-07-03 15:01:01 UTC
Fedora 32 (Xserver)

Can someone reopen this issue?

[79515.644578] [drm:pipe_config_mismatch [i915]] *ERROR* [CRTC:75:pipe C] mismatch in pixel_rate (expected 148500, found 296999)
[79515.644608] [drm:pipe_config_mismatch [i915]] *ERROR* [CRTC:75:pipe C] mismatch in shared_dpll (expected 00000000a15bbe93, found 00000000fd231e39)
[79515.644637] [drm:pipe_config_mismatch [i915]] *ERROR* [CRTC:75:pipe C] mismatch in hw.adjusted_mode.crtc_clock (expected 148500, found 296999)
[79515.644664] [drm:pipe_config_mismatch [i915]] *ERROR* [CRTC:75:pipe C] mismatch in port_clock (expected 270000, found 540000)
[79515.644665] ------------[ cut here ]------------
[79515.644666] pipe state doesn't match!
[79515.644734] WARNING: CPU: 2 PID: 3232 at drivers/gpu/drm/i915/display/intel_display.c:14020 intel_atomic_commit_tail+0x12b7/0x1460 [i915]
[79515.644735] Modules linked in: snd_seq_dummy snd_hrtimer rfcomm cmac xt_CHECKSUM xt_MASQUERADE xt_conntrack ipt_REJECT nf_nat_tftp nf_conntrack_tftp tun nft_objref nf_conntrack_netbios_ns nf_conntrack_broadcast nft_fib_inet nft_fib_ipv4 nft_fib_ipv6 nft_fib nft_reject_inet nf_reject_ipv4 nf_reject_ipv6 nft_reject nft_ct nf_tables_set nft_chain_nat nf_tables ebtable_nat ebtable_broute ip6table_nat ip6table_mangle ip6table_raw ip6table_security iptable_nat nf_nat nf_conntrack nf_defrag_ipv6 nf_defrag_ipv4 iptable_mangle iptable_raw iptable_security ip_set nfnetlink ebtable_filter ebtables ip6table_filter ip6_tables iptable_filter bnep rmi_smbus rmi_core snd_usb_audio intel_rapl_msr mei_hdcp iTCO_wdt snd_usbmidi_lib mei_wdt iTCO_vendor_support snd_rawmidi intel_rapl_common x86_pkg_temp_thermal intel_powerclamp coretemp snd_hda_codec_realtek snd_hda_codec_generic snd_hda_codec_hdmi iwlmvm kvm_intel snd_hda_intel snd_intel_dspcfg snd_hda_codec kvm mac80211 uvcvideo btusb videobuf2_vmalloc btrtl
[79515.644759]  videobuf2_memops videobuf2_v4l2 btbcm btintel irqbypass intel_cstate videobuf2_common libarc4 bluetooth intel_uncore snd_hda_core videodev intel_rapl_perf snd_hwdep iwlwifi snd_seq snd_seq_device snd_pcm mc cfg80211 ecdh_generic ecc joydev wmi_bmof mei_me intel_pch_thermal i2c_i801 mei thinkpad_acpi snd_timer ledtrig_audio snd lpc_ich soundcore rfkill nfsd auth_rpcgss nfsv4 dm_crypt dns_resolver nfs_acl nfs lockd grace sunrpc fscache ip_tables xfs libcrc32c i915 rtsx_pci_sdmmc mmc_core i2c_algo_bit hid_logitech_hidpp cec drm_kms_helper crct10dif_pclmul crc32_pclmul crc32c_intel drm ghash_clmulni_intel e1000e serio_raw rtsx_pci wmi video hid_logitech_dj br_netfilter bridge stp llc fuse ecryptfs
[79515.644778] CPU: 2 PID: 3232 Comm: Xorg Not tainted 5.6.19-300.fc32.x86_64 #1
[79515.644779] Hardware name: LENOVO 20BX001LUS/20BX001LUS, BIOS JBET73WW (1.37 ) 08/14/2019
[79515.644804] RIP: 0010:intel_atomic_commit_tail+0x12b7/0x1460 [i915]
[79515.644805] Code: 55 c0 83 c6 41 80 3d 36 7e 17 00 00 0f 85 ab 01 00 00 e8 cc 1c e4 ff 48 8b 44 24 28 4c 8b 68 08 e9 ae f1 ff ff e8 60 be c5 e5 <0f> 0b e9 64 f9 ff ff 8b 44 24 7c 80 3d 06 7e 17 00 00 48 c7 c7 10
[79515.644806] RSP: 0018:ffffa5fc01bb3be8 EFLAGS: 00010292
[79515.644807] RAX: 0000000000000019 RBX: ffff93e7bc9b4000 RCX: 0000000000000007
[79515.644808] RDX: 00000000fffffff8 RSI: 0000000000000096 RDI: ffff93e7c9e99cc0
[79515.644808] RBP: ffff93e7bc800000 R08: 00000000000004c9 R09: 0000000000000003
[79515.644809] R10: 0000000000000000 R11: 0000000000000001 R12: ffff93e4e50ff000
[79515.644810] R13: ffff93e7bc8002b0 R14: ffff93e4e50fe000 R15: ffff93e7bc8002b8
[79515.644812] FS:  00007fc7ebe5bf00(0000) GS:ffff93e7c9e80000(0000) knlGS:0000000000000000
[79515.644812] CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
[79515.644813] CR2: 00007f8e2d93d6f0 CR3: 0000000519462003 CR4: 00000000003606e0
[79515.644814] DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
[79515.644814] DR3: 0000000000000000 DR6: 00000000fffe0ff0 DR7: 0000000000000400
[79515.644815] Call Trace:
[79515.644821]  ? flush_workqueue+0x14c/0x400
[79515.644846]  intel_atomic_commit+0x2dd/0x350 [i915]
[79515.644861]  drm_atomic_connector_commit_dpms+0xda/0x100 [drm]
[79515.644873]  drm_mode_obj_set_property_ioctl+0x149/0x2a0 [drm]
[79515.644886]  ? drm_connector_set_obj_prop+0x90/0x90 [drm]
[79515.644898]  drm_connector_property_set_ioctl+0x29/0x30 [drm]
[79515.644908]  drm_ioctl_kernel+0x86/0xd0 [drm]
[79515.644911]  ? avc_has_perm+0x3b/0x160
[79515.644920]  drm_ioctl+0x206/0x390 [drm]
[79515.644932]  ? drm_connector_set_obj_prop+0x90/0x90 [drm]
[79515.644934]  ? selinux_file_ioctl+0x122/0x1c0
[79515.644936]  ksys_ioctl+0x82/0xc0
[79515.644939]  ? __ia32_sys_rt_sigreturn+0x1da/0x26a
[79515.644940]  __x64_sys_ioctl+0x16/0x20
[79515.644942]  do_syscall_64+0x5b/0xf0
[79515.644945]  entry_SYSCALL_64_after_hwframe+0x44/0xa9
[79515.644947] RIP: 0033:0x7fc7ec2e447b
[79515.644948] Code: 0f 1e fa 48 8b 05 1d aa 0c 00 64 c7 00 26 00 00 00 48 c7 c0 ff ff ff ff c3 66 0f 1f 44 00 00 f3 0f 1e fa b8 10 00 00 00 0f 05 <48> 3d 01 f0 ff ff 73 01 c3 48 8b 0d ed a9 0c 00 f7 d8 64 89 01 48
[79515.644949] RSP: 002b:00007ffcb54c9788 EFLAGS: 00000246 ORIG_RAX: 0000000000000010
[79515.644950] RAX: ffffffffffffffda RBX: 00007ffcb54c97c0 RCX: 00007fc7ec2e447b
[79515.644951] RDX: 00007ffcb54c97c0 RSI: 00000000c01064ab RDI: 000000000000000e
[79515.644951] RBP: 00000000c01064ab R08: 0000564d04396850 R09: 0000000000000000
[79515.644952] R10: 0000000000000000 R11: 0000000000000246 R12: 0000564d0458b160
[79515.644952] R13: 000000000000000e R14: 0000000000000000 R15: 0000564d029700c0
[79515.644956] ---[ end trace c8e0fa1a5defba56 ]---
[94249.905052] [drm:intel_cpu_fifo_underrun_irq_handler [i915]] *ERROR* CPU pipe A FIFO underrun

Comment 65 Brian Ward 2020-07-03 16:01:07 UTC
While not exactly a great option, you might be able to find a more stable kernel in your past history:

$ journalctl | grep -E "i915.*ERROR|Linux version" | grep -C 1 i915 > all-i915-errors-2020-07-03.txt

I personally had lots of problems with dual monitors through a docking station on my T460s prior to 4.20 kernels (different error than this one).  However, this particular error popped up for me since 5.5.16-100.fc30.x86_64.

My latest stable build prior to that was 5.4.12-100.fc30.x86_64.

From this, it appears something in the changes from 5.4 to 5.5 is causing a regression, though, I never had this problem before on my machine and from this bug it appears quite old.  

Also, you should note, that this BZ isn't really ever going to be resolved here by Red Hat or the Fedora team.  These issues related to the Intel i915 drivers belong to the Intel team and should be filed at https://bugs.freedesktop.org/ under Product: DRI and Component: DRM/Intel or potentially, https://gitlab.freedesktop.org/drm/intel/-/issues as it looks like they moved their work to this new gitlab location.  

If you find you once had a stable kernel, you can go back to it while you wait out a fix:
https://fedoramagazine.org/install-kernel-koji/
https://koji.fedoraproject.org/koji/packageinfo?packageID=8

Alternatively, you can work with the Intel team as described above to set DRM debug info and capture more information for them to resolve the issue.  This takes a bit more work and patience, but if we all do it, we can potentially help them identify root cause.  

This is the life of Linux user workstations.  I must admit, sometimes it is tempting to go buy a Mac...

Best of Luck

Comment 66 kohnish 2020-07-04 16:20:53 UTC
Thanks. It's actually very helpful. I've downgraded to kernel-5.3.7 on my Fedora 32.

I also found this gitlab issue. Let's keep the discussion there, keep this issue closed.
https://gitlab.freedesktop.org/drm/intel/-/issues/1900


Note You need to log in before you can comment on or make changes to this bug.